#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_ECH_Microdati_2013_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_ECH_A2013<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_ECH_A2013, "label") <- c(
"Numero progressivo record",
"Sesso componente 1",
"Sesso componente 2",
"Sesso componente 3",
"Sesso componente 4",
"Sesso componente 5",
"Sesso componente 6",
"Sesso componente 7",
"Sesso componente 8",
"Sesso componente 9",
"Sesso componente 10",
"Sesso componente 11",
"Sesso componente 12",
"Et componente 01",
"Et componente 02",
"Et componente 03",
"Et componente 04",
"Et componente 05",
"Et componente 06",
"Et componente 07",
"Et componente 08",
"Et componente 09",
"Et componente 10",
"Et componente 11",
"Et componente 12",
"Relazione di parentela con PR comp 01",
"Relazione di parentela con PR comp 02",
"Relazione di parentela con PR comp 03",
"Relazione di parentela con PR comp 04",
"Relazione di parentela con PR comp 05",
"Relazione di parentela con PR comp 06",
"Relazione di parentela con PR comp 07",
"Relazione di parentela con PR comp 08",
"Relazione di parentela con PR comp 09",
"Relazione di parentela con PR comp 10",
"Relazione di parentela con PR comp 11",
"Relazione di parentela con PR comp 12",
"Condizione professionale comp 01",
"Condizione professionale comp 02",
"Condizione professionale comp 03",
"Condizione professionale comp 04",
"Condizione professionale comp 05",
"Condizione professionale comp 06",
"Condizione professionale comp 07",
"Condizione professionale comp 08",
"Condizione professionale comp 09",
"Condizione professionale comp 10",
"Condizione professionale comp 11",
"Condizione professionale comp 12",
"Tipo di lavoro che svolge comp 01",
"Tipo di lavoro che svolge comp 02",
"Tipo di lavoro che svolge comp 03",
"Tipo di lavoro che svolge comp 04",
"Tipo di lavoro che svolge comp 05",
"Tipo di lavoro che svolge comp 06",
"Tipo di lavoro che svolge comp 07",
"Tipo di lavoro che svolge comp 08",
"Tipo di lavoro che svolge comp 09",
"Tipo di lavoro che svolge comp 10",
"Tipo di lavoro che svolge comp 11",
"Tipo di lavoro che svolge comp 12",
"Livello di inquadramento comp 01",
"Livello di inquadramento comp 02",
"Livello di inquadramento comp 03",
"Livello di inquadramento comp 04",
"Livello di inquadramento comp 05",
"Livello di inquadramento comp 06",
"Livello di inquadramento comp 07",
"Livello di inquadramento comp 08",
"Livello di inquadramento comp 09",
"Livello di inquadramento comp 10",
"Livello di inquadramento comp 11",
"Livello di inquadramento comp 12",
"Titolo di studio comp 01",
"Titolo di studio comp 02",
"Titolo di studio comp 03",
"Titolo di studio comp 04",
"Titolo di studio comp 05",
"Titolo di studio comp 06",
"Titolo di studio comp 07",
"Titolo di studio comp 08",
"Titolo di studio comp 09",
"Titolo di studio comp 10",
"Titolo di studio comp 11",
"Titolo di studio comp 12",
"Numero d'ordine del componente",
"Anno",
"Ripartizione geografica",
"Regione",
"Numero persone che vivono nell'abitazione",
"Interruzione domicilio componente 10",
"Tipo di abitazione",
"Piano dell'appartamento",
"Numero del piano",
"Numero di stanze",
"Ulteriori dotazioni:Cantina",
"Ulteriori dotazioni:Solaio o soffitta",
"Ulteriori dotazioni:Box auto o posto auto",
"Ulteriori dotazioni:Balcone o terrazzo",
"Ulteriori dotazioni:Giardino privato",
"Finestre con infissi in legno",
"Finestre con infissi in acciaio o allumin",
"Finestre con infissi in plastica/PVC",
"Conoscenza procedure certificazione energ",
"Tipologia di muratura dell'edificio",
"Coinbentazione/Isolamento pareti",
"Sistema di coinbentazione:cappotto estern",
"Sistema di coinbentazione:cappotto intern",
"Sistema di coinbentazione:intercapedini",
"Sistema di coinbentazione: Non sa",
"Tipo di copertura dell'abitazione",
"Esposizione dell'abitazione - Nord",
"Esposizione dell'abitazione - Est",
"Esposizione dell'abitazione - Sud",
"Esposizione dell'abitazione -Ovest",
"Esposizione dell'abitazione -Non sa",
"Dotazione di impianto di riscaldamento",
"Tipo di impianto di riscaldamento: centra",
"Tipo di impianto di riscaldamento: autono",
"Tipo di impianto di riscaldamento:apparec",
"Tipo di impianto di riscaldamento:apparec",
"Tipo di apparecchi singoli fissi:climatiz",
"Tipo di apparecchi singoli fissi:altri ap",
"Tipo di apparecchi singoli fissi:stufe tr",
"Tipo di apparecchi singoli fissi:caminett",
"Tipo di apparecchi singoli fissi:stufe fisse metano",
"Tipo di apparecchi singoli fissi:stufe fisse GPL",
"Tipo di apparecchi singoli portatili:clim",
"Tipo di apparecchi singoli portatili:appa",
"Tipo di apparecchi singoli portatili:stuf",
"Impianto prevalente di riscaldamento",
"Tipo di impianto condizionamento: sistemi",
"Tipo di impianto condizionamento: impiant",
"Tipo di impianto condizionamento: condizi",
"Tipo di impianto condizionamento: condizi",
"Tipo di impianto condizionamento: climati",
"Tipo di impianto condizionamento: climati",
"Impianto prevalente di condizionamento",
"Dotazione impianto di riscaldamento acqua",
"Tipo di impianto riscaldamento acqua: cen",
"Tipo di impianto riscaldamento acqua: aut",
"Tipo di impianto riscaldamento acqua: uno",
"Tipo di apparecchi singoli: scaldabagni e",
"Tipo di apparecchi singoli: scaldabagni a",
"Tipo di apparecchi singoli: scaldabagni a",
"Tipo di apparecchi singoli:scaldabagni a",
"Tipo di apparecchi singoli:scaldabagni a",
"Impianto prevalente di riscaldamento dell",
"Tipo di apparecchiature a biomasse: camin",
"Tipo di apparecchiature a biomasse:camino",
"Tipo di apparecchiature a biomasse: stufe",
"Tipo di apparecchiature a biomasse: stufa",
"Tipo di apparecchiature a biomasse: scald",
"Tipo di apparecchiature a biomasse: calda",
"Tipo di apparecchiature a biomasse: appar",
"Servizi di cui dispone l'abitazione: meta",
"Servizi di cui dispone l'abitazione: impi",
"Servizi di cui dispone l'abitazione: impi",
"Servizi di cui dispone l'abitazione: GPL",
"Cambiamento gestori ultimi 5 anni",
"Gestori cambiati: fornitore di metano o g",
"Gestori cambiati: fornitore di energia el",
"Gestori cambiati:compagnia telefonica",
"Gestori cambiati: altro",
"Impianto di riscaldamento unico o prevale",
"Fonte alimentazione impianti centralizzat",
"Impianto a pompa di calore (centralizzti",
"Tipologia di pompa di calore (centralizzt",
"Modalit di diffusione del calore - termo",
"Modalit di diffusione del calore - conve",
"Modalit di diffusione del calore - pavim",
"Apparecchio fisso prevalente (se 2.32=mul",
"Apparecchio fisso portatile (se 2.33=mult",
"Tipo di manutenzione dell'impianto di ris",
"Frequenza di utilizzo dell'impianto di ri",
"Numero di ore di accensione per fascia or",
"Numero di ore di accensione per fascia or",
"Numero di ore di accensione per fascia or",
"Possibilit di regolazione della temperat",
"Modalit di regolazione della temperatura",
"Modalit di regolazione della temperatura",
"Modalit di regolazione della temperatura",
"Utilizzo sistema ausiliario di riscaldame",
"Frequenza di utilizzo sistema di riscalda",
"Numero medio giornaliero di ore di accens",
"Isolamento termico della casa",
"Investimenti negli ultimi 5 anni per ridu",
"Tipologia di investimento - sostituzione",
"Tipologia di investimento - sostituzione",
"Tipologia di investimento - passaggio sin",
"Tipologia di investimento - impianti ener",
"Tipologia di investimento - modifica sist",
"Tipologia di investimento - applicazione",
"Tipologia di investimento - isolamento te",
"Tipologia di investimento -sostituzione p",
"Tipologia di investimento - altro",
"Ulteriori investimenti in programma",
"Descrizione degli investimenti in program",
"Impianto riscaldamento acqua unico o prev",
"Coincidenza impianto riscaldamento abitaz",
"Fonte alimentazione impianti centralizzat",
"Impianto a pompa di calore centralizzati",
"Tipologia a pompa di calore centralizzati",
"Apparecchio singolo prevalente",
"Impianto singolo istantaneo/ad accumulo",
"Capacit scaldabagno",
"Impianto solare per solo acqua o anche ab",
"Superficie pannelli solari",
"Capacit del serbatoio impianto solare",
"Risparmio spese per il riscaldamento dell",
"Risparmio spese per il riscaldamento dell",
"Tipo di manutenzione dell'impianto di ris",
"Utilizzo di sistemi ausiliari di riscalda",
"Frequenza di utilizzo sistemi riscaldamen",
"Investimenti negli ultimi 5 anni per ridu",
"Descrizione investimenti effettuati - Pas",
"Descrizione investimenti effettuati - pas",
"Descrizione investimenti effettuati - sos",
"Descrizione investimenti effettuati - sos",
"Descrizione investimenti effettuati - imp",
"Descrizione investimenti effettuati - mod",
"Descrizione investimenti effettuati - alt",
"Ulteriori investimenti in programma",
"Descrizione investimenti in programma",
"Impianto di condizionamento unico o preva",
"Coincidenza impianto di condizionamento e",
"Impianto a pompa di calore(5.0=1,2)",
"Tipologia di pompa di calore centralizzti",
"Tipo di manutenzione dell'impianto di con",
"Frequenza di utilizzo dell'impianto di co",
"Numero di ore di accensione per fascia or",
"Numero di ore di accensione per fascia or",
"Numero di ore di accensione per fascia or",
"Sistema di condizionamento in tutte/alcun",
"Numero di stanze con il condizionatore ac",
"Utilizzo sistema ausiliario di riscaldame",
"Frequenza di utilizzo sistema di riscalda",
"Numero medio giornaliero di ore di accens",
"Investimenti negli ultimi 5 anni per ridu",
"Tipologia di investimenti fatti - passagg",
"Tipologia di investimenti fatti -sostituz",
"Tipologia di investimenti fatti - sostitu",
"Tipologia di investimenti fatti - modific",
"Tipologia di investimenti fatti -disposit",
"Tipologia di investimenti fatti - Altro",
"Ulteriori investimenti in programma",
"Descrizione degli investimenti in program",
"Utilizzo di biomasse",
"Tipo di biomasse utilizzate:legna da arde",
"Tipo di biomasse utilizzate:pellets",
"Tipo di biomasse utilizzate:cippato",
"Tipo di biomasse utilizzate:carbonella",
"Tipo di biomasse utilizzate:gusci di mand",
"Tipo di biomasse utilizzate:sansa",
"Tipo di biomasse utilizzate:scarti di leg",
"Utilizzo di legna negli ultimi 12 mesi",
"Tipo di legna utilizzata negli ultimi 12",
"Canale approvvigionamento legna utilizzat",
"Quantit di legna autoprodotta/recuperata",
"Apparecchi con cui si  utilizzata legna",
"Apparecchi con cui si  utilizzata legna",
"Apparecchi con cui si  utilizzata legna",
"Apparecchi con cui si  utilizzata legna",
"Apparecchi con cui si  utilizzata legna",
"Apparecchi con cui si  utilizzata legna",
"Apparecchi con cui si  utilizzata legna",
"Luogo di conservazione della legna",
"Utilizzo pellets negli ultimi 12 mesi",
"Apparecchi con cui si sono utilizzati pel",
"Apparecchi con cui si sono utilizzati pel",
"Apparecchi con cui si sono utilizzati pel",
"Apparecchi con cui si sono utilizzati pel",
"Apparecchi con cui si sono utilizzati pel",
"Apparecchi con cui si sono utilizzati pel",
"Apparecchi con cui si sono utilizzati pel",
"Luogo di conservazione dei pellets",
"Spesa sostenuta per i gusci utilizzati negli ultimi 12 mesi",
"Soddisfazione per l'uso di biomasse per i",
"Soddisfazione per l'uso di biomasse per i",
"Soddisfazione per l'uso di biomasse per c",
"Opinione sul risparmio deteminato dall'us",
"Numero di lampadine a risparmio energetic",
"Classi di accensione lampadine a risparmi",
"Classi di accensione lampadine a risparmi",
"Classi di accensione lampadine a risparmi",
"Numero di lampadine tradizionali",
"Classi di accensione lampadine tradiziona",
"Classi di accensione lampadine tradiziona",
"Classi di accensione lampadine tradiziona",
"Investimenti negli ultimi 5 anni per ridu",
"Tipologia di investimenti fatti - cambio",
"Tipologia di investimenti fatti - regolat",
"Tipologia di investimenti fatti - sostitu",
"Tipologia di investimenti fatti - impiant",
"Tipologia di investimenti fatti - Altro",
"Ulteriori investimenti in programma",
"Descrizione degli investimenti in program",
"Dotazione di frigoriferi",
"Numero frigoriferi",
"Dimensioni frigorifero",
"Dotazione di vano congelatore",
"Dotazione di congelatore",
"Dotazione di lavatrice",
"Dimnesioni lavatrice",
"Numero di lavaggi lavatrice effettuati in una settimana",
"Numero di lavaggi lavatrice per classe di temperatura: a meno di 30 gradi",
"Numero di lavaggi lavatrice per classe di temperatura: tra 31 e 60 gradi",
"Numero di lavaggi lavatrice per classe di temperatura: oltre 60 gradi",
"Numero di lavaggi lavatrice per classe di orario: prima delle 8 o dopo le 19",
"Numero di lavaggi lavatrice per classe di orario: tra le 8 e le 19",
"Numero di lavaggi lavatrice per classe di orario: nei weekend e festivi",
"Funzione di asciugatura della lavatrice",
"Dotazione di asciugatrice separata dalla lavatrice",
"Dimensioni asciugatrice",
"Numero di lavaggi con asciugatura effettuati in una settimana",
"Dotazione di lavastoviglie",
"Numero di lavaggi della lavastoviglie effettuati in una settimana",
"Numero di lavaggi lavastoviglie  per classe di orario: prima delle 8 o dopo le 19",
"Numero di lavaggi lavastoviglie  per classe di orario: tra le 8 e le 19",
"Numero di lavaggi lavastoviglie  per classe di orario: nei weekend e festivi",
"Dotazione di elettrodomestici per la pulizia della casa: aspirapolvere, scopa elettrica, battitappeto",
"Dotazione di elettrodomestici per la pulizia della casa:lavapavimenti o generatori di vapore",
"Dotazione di elettrodomestici per la pulizia della casa: robot puliscipavimenti",
"Dotazione di elettrodomestici per la pulizia della casa: ferri da stiro",
"Dotazione fornelli",
"Fonte alimentazione fornelli",
"Frequenza di utilizzo fornelli",
"Dotazione forno",
"Fonte alimentazione forno",
"Frequenza di utilizzo forno",
"Dimensioni forno elettrico",
"Dotazione di elettrodomestici per cucinare: robot da cucina",
"Dotazione di elettrodomestici per cucinare: frullatore",
"Dotazione di elettrodomestici per cucinare:  macinacaff elettrici",
"Dotazione di elettrodomestici per cucinare: affettatrice",
"Dotazione di elettrodomestici per cucinare: macchina per il pane",
"Dotazione di elettrodomestici per cucinare: per te/caff/cappuccino elettrica",
"Dotazione di elettrodomestici per cucinare: tostapane",
"Dotazione di elettrodomestici per cucinare: forno a micronde",
"Dotazione di elettrodomestici per cucinare: forno a legna o altre biomasse",
"Dotazione di elettrodomestici per cucinare: barbecue a legna",
"Dotazione di elettrodomestici per cucinare: pastra, bistecchiera, griglia elettrica",
"Dotazione di televisori a colori",
"Numero di TV a colori",
"Numero di TV a colori per tipologi: a tubo catodico",
"Numero di TV a colori per tipologia: al plasma",
"Numero di TV a colori per tipologia: TV LCD",
"Numero di TV a colori per tipologia: TV a LED",
"Numero di ore di accensione del televisore",
"Dotazione di PC",
"Numero di PC",
"Numero di PC per tipologia : PC da tavolo",
"Numero di PC per tipologia : PC portatili",
"Numero di ore di accensione del PC in media",
"Modalit di uso del PC",
"Connessione ADSL ad internet",
"Altro tipo di connessione ad internet",
"Fonte alimentazione RISCALDAMENTO (1=metano;2=gasolio)",
"Fonte alimentazione ACQUA (1=metano;2=gasolio)",
"ORE TOTALI DI ACCENSIONE IMPIANTO UNICO O",
"ORE TOTALI DI ACCENSIONE IMPIANTO UNICO O",
"Regione con Trento e Bolzano separate",
"Anno di costruzione immobile in classi",
"Superficie dell'immobile in classi (in metri quadrati)",
"Numero di finestre con infissi in legno (classi)",
"Numero finestre con infissi in acciaio o alluminio (classi)",
"Numero finestre con infissi in plastica/PVC (classi)",
"Anno impianto di riscaldamento in classi",
"Anno impianto di riscaldamento acqua in c",
"Anno impianto di condizionamento in class",
"Quantitativi di legna utilizzata negli ul",
"Spesa sostenuta per la legna utilizzata n",
"Quantitativi di pellets utilizzata negli",
"Spesa sostenuta per i pellets utilizzati",
"Anno frigorifero in classi",
"Anno congelatore in classi",
"Anno della lavatrice in classi",
"Anno asciugatrice in classi",
"Anno lavastoviglie in classi",
"Anno forno in classi",
"Spesa per l'energia elettrica in classi",
"Spesa per il metano/gas di rete  in classi",
"Spesa per il gasolio  in classi",
"Spesa per il GPL  in classi",
"COEFFICIENTE DI RIPORTO FINALE",
"Identificativo famiglia",
"Dominio: tipologia comunale")

q_1_14_sq_1_Fact <- factor(DF_ECH_A2013$q_1_14_sq_1, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_2_Fact <- factor(DF_ECH_A2013$q_1_14_sq_2, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_3_Fact <- factor(DF_ECH_A2013$q_1_14_sq_3, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_4_Fact <- factor(DF_ECH_A2013$q_1_14_sq_4, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_5_Fact <- factor(DF_ECH_A2013$q_1_14_sq_5, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_6_Fact <- factor(DF_ECH_A2013$q_1_14_sq_6, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_7_Fact <- factor(DF_ECH_A2013$q_1_14_sq_7, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_8_Fact <- factor(DF_ECH_A2013$q_1_14_sq_8, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_9_Fact <- factor(DF_ECH_A2013$q_1_14_sq_9, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_10_Fact <- factor(DF_ECH_A2013$q_1_14_sq_10, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_11_Fact <- factor(DF_ECH_A2013$q_1_14_sq_11, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


q_1_14_sq_12_Fact <- factor(DF_ECH_A2013$q_1_14_sq_12, 
levels=c("1", 
"2"), 
labels=c("Maschio", 
"Femmina")) 


cletas_1_Fact <- factor(DF_ECH_A2013$cletas_1, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_2_Fact <- factor(DF_ECH_A2013$cletas_2, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_3_Fact <- factor(DF_ECH_A2013$cletas_3, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_4_Fact <- factor(DF_ECH_A2013$cletas_4, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_5_Fact <- factor(DF_ECH_A2013$cletas_5, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_6_Fact <- factor(DF_ECH_A2013$cletas_6, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_7_Fact <- factor(DF_ECH_A2013$cletas_7, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_8_Fact <- factor(DF_ECH_A2013$cletas_8, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_9_Fact <- factor(DF_ECH_A2013$cletas_9, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_10_Fact <- factor(DF_ECH_A2013$cletas_10, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_11_Fact <- factor(DF_ECH_A2013$cletas_11, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


cletas_12_Fact <- factor(DF_ECH_A2013$cletas_12, 
levels=c("0", 
"3", 
"6", 
"11", 
"15", 
"20", 
"25", 
"30", 
"35", 
"40", 
"45", 
"50", 
"55", 
"60", 
"65", 
"70", 
"75"), 
labels=c("eta< 3", 
"2 <eta < 6", 
"5<eta<11", 
"10<eta<15", 
"14<eta<20", 
"19<eta<25", 
"24<eta<30", 
"29<eta<35", 
"34<eta<40", 
"39<eta<45", 
"44<eta<50", 
"49<eta<55", 
"54<eta<60", 
"59<eta<65", 
"64<eta<70", 
"69<eta<75", 
"74<eta")) 


relpar_1_Fact <- factor(DF_ECH_A2013$relpar_1, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_2_Fact <- factor(DF_ECH_A2013$relpar_2, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_3_Fact <- factor(DF_ECH_A2013$relpar_3, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_4_Fact <- factor(DF_ECH_A2013$relpar_4, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_5_Fact <- factor(DF_ECH_A2013$relpar_5, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_6_Fact <- factor(DF_ECH_A2013$relpar_6, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_7_Fact <- factor(DF_ECH_A2013$relpar_7, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_8_Fact <- factor(DF_ECH_A2013$relpar_8, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_9_Fact <- factor(DF_ECH_A2013$relpar_9, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_10_Fact <- factor(DF_ECH_A2013$relpar_10, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_11_Fact <- factor(DF_ECH_A2013$relpar_11, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


relpar_12_Fact <- factor(DF_ECH_A2013$relpar_12, 
levels=c("1", 
"2", 
"4", 
"6", 
"8", 
"10"), 
labels=c("PR - Persona di Riferimento", 
"Marito o moglie del PR - Convivente (coniugalmente) del PR", 
"Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR", 
"Ascendente o altro parente del PR o del coniuge/convivente del PR", 
"Collaboratore domestico o amico convivente", 
"Affittuario")) 


condpro_1_Fact <- factor(DF_ECH_A2013$condpro_1, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_2_Fact <- factor(DF_ECH_A2013$condpro_2, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_3_Fact <- factor(DF_ECH_A2013$condpro_3, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_4_Fact <- factor(DF_ECH_A2013$condpro_4, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_5_Fact <- factor(DF_ECH_A2013$condpro_5, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_6_Fact <- factor(DF_ECH_A2013$condpro_6, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_7_Fact <- factor(DF_ECH_A2013$condpro_7, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_8_Fact <- factor(DF_ECH_A2013$condpro_8, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_9_Fact <- factor(DF_ECH_A2013$condpro_9, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_10_Fact <- factor(DF_ECH_A2013$condpro_10, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_11_Fact <- factor(DF_ECH_A2013$condpro_11, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


condpro_12_Fact <- factor(DF_ECH_A2013$condpro_12, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Occupato/a", 
"Disoccupato/a  o in cerca di prima occupazione", 
"Casalinga/o", 
"Studente", 
"Ritirato/a dal lavoro (pensionato)", 
"Inabile al lavoro o in altra condizione")) 


tipolav_1_Fact <- factor(DF_ECH_A2013$tipolav_1, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_2_Fact <- factor(DF_ECH_A2013$tipolav_2, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_3_Fact <- factor(DF_ECH_A2013$tipolav_3, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_4_Fact <- factor(DF_ECH_A2013$tipolav_4, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_5_Fact <- factor(DF_ECH_A2013$tipolav_5, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_6_Fact <- factor(DF_ECH_A2013$tipolav_6, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_7_Fact <- factor(DF_ECH_A2013$tipolav_7, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_8_Fact <- factor(DF_ECH_A2013$tipolav_8, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_9_Fact <- factor(DF_ECH_A2013$tipolav_9, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_10_Fact <- factor(DF_ECH_A2013$tipolav_10, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_11_Fact <- factor(DF_ECH_A2013$tipolav_11, 
levels=c("1", 
"2", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Un lavoro alle dipendenze", 
"Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Coadiuvante nell'azienda di un familiare; socio di cooperativa")) 


tipolav_12_Fact <- factor(DF_ECH_A2013$tipolav_12, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_1_Fact <- factor(DF_ECH_A2013$livello_1, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_2_Fact <- factor(DF_ECH_A2013$livello_2, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_3_Fact <- factor(DF_ECH_A2013$livello_3, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_4_Fact <- factor(DF_ECH_A2013$livello_4, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_5_Fact <- factor(DF_ECH_A2013$livello_5, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_6_Fact <- factor(DF_ECH_A2013$livello_6, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_7_Fact <- factor(DF_ECH_A2013$livello_7, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_8_Fact <- factor(DF_ECH_A2013$livello_8, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_9_Fact <- factor(DF_ECH_A2013$livello_9, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_10_Fact <- factor(DF_ECH_A2013$livello_10, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_11_Fact <- factor(DF_ECH_A2013$livello_11, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


livello_12_Fact <- factor(DF_ECH_A2013$livello_12, 
levels=c("1", 
"3", 
"4", 
"5"), 
labels=c("Dirigente o quadro", 
"Impiegato/a", 
"Operaio/a", 
"Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese")) 


titstu_1_Fact <- factor(DF_ECH_A2013$titstu_1, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_2_Fact <- factor(DF_ECH_A2013$titstu_2, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_3_Fact <- factor(DF_ECH_A2013$titstu_3, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_4_Fact <- factor(DF_ECH_A2013$titstu_4, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_5_Fact <- factor(DF_ECH_A2013$titstu_5, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_6_Fact <- factor(DF_ECH_A2013$titstu_6, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_7_Fact <- factor(DF_ECH_A2013$titstu_7, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_8_Fact <- factor(DF_ECH_A2013$titstu_8, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_9_Fact <- factor(DF_ECH_A2013$titstu_9, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_10_Fact <- factor(DF_ECH_A2013$titstu_10, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_11_Fact <- factor(DF_ECH_A2013$titstu_11, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


titstu_12_Fact <- factor(DF_ECH_A2013$titstu_12, 
levels=c("1", 
"3", 
"4", 
"5", 
"7", 
"9", 
"10", 
"99"), 
labels=c("Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere", 
"Licenza elementare", 
"Licenza media", 
"Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni", 
"Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello", 
"Diploma di laurea; Master di secondo livello", 
"Dottorato di ricerca", 
"Non sa, non ricorda")) 


rip_Fact <- factor(DF_ECH_A2013$rip, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Italia Nord_Ovest", 
"Italia Nord_Est", 
"Italia Centrale", 
"Sud e Isole")) 


reg_Fact <- factor(DF_ECH_A2013$reg, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


q_1_20_sq1_Fact <- factor(DF_ECH_A2013$q_1_20_sq1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_1_Fact <- factor(DF_ECH_A2013$q_2_1, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Casa, casale, villa o villetta unifamiliare", 
"Casa, casale, villa o villetta plurifamiliare o a schiera", 
"Appartamento in edificio con meno di 10 appartamenti", 
"Appartamento in edificio con 10-27 appartamenti", 
"Appartamento in edificio con 28 o pi appartamenti")) 


q_2_2_Fact <- factor(DF_ECH_A2013$q_2_2, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Piano seminterrato", 
"Piano terra o piano rialzato", 
"Piano intermedio", 
"Ultimo piano")) 


q_2_9A_Fact <- factor(DF_ECH_A2013$q_2_9A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_9B_Fact <- factor(DF_ECH_A2013$q_2_9B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_9C_Fact <- factor(DF_ECH_A2013$q_2_9C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_9D_Fact <- factor(DF_ECH_A2013$q_2_9D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_9E_Fact <- factor(DF_ECH_A2013$q_2_9E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_10_Fact <- factor(DF_ECH_A2013$q_2_10, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_14_Fact <- factor(DF_ECH_A2013$q_2_14, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_18_Fact <- factor(DF_ECH_A2013$q_2_18, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_22_Fact <- factor(DF_ECH_A2013$q_2_22, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_25_Fact <- factor(DF_ECH_A2013$q_2_25, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Cemento", 
"Pietrame", 
"Muratura", 
"Legno", 
"Non sa")) 


q_2_26_Fact <- factor(DF_ECH_A2013$q_2_26, 
levels=c("1", 
"2", 
"9"), 
labels=c("S", 
"No", 
"Non sa")) 


q_2_27_1_Fact <- factor(DF_ECH_A2013$q_2_27_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_27_2_Fact <- factor(DF_ECH_A2013$q_2_27_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_27_3_Fact <- factor(DF_ECH_A2013$q_2_27_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_27_9_Fact <- factor(DF_ECH_A2013$q_2_27_9, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_28_Fact <- factor(DF_ECH_A2013$q_2_28, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Falda", 
"Doppia falda", 
"Piano", 
"Misto", 
"Non sa")) 


q_2_29_1_Fact <- factor(DF_ECH_A2013$q_2_29_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_29_2_Fact <- factor(DF_ECH_A2013$q_2_29_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_29_3_Fact <- factor(DF_ECH_A2013$q_2_29_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_29_4_Fact <- factor(DF_ECH_A2013$q_2_29_4, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_29_9_Fact <- factor(DF_ECH_A2013$q_2_29_9, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_2_30_Fact <- factor(DF_ECH_A2013$q_2_30, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_31A_Fact <- factor(DF_ECH_A2013$q_2_31A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_31B_Fact <- factor(DF_ECH_A2013$q_2_31B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_31C_Fact <- factor(DF_ECH_A2013$q_2_31C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_31D_Fact <- factor(DF_ECH_A2013$q_2_31D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_32A_Fact <- factor(DF_ECH_A2013$q_2_32A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_32B_Fact <- factor(DF_ECH_A2013$q_2_32B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_32C_Fact <- factor(DF_ECH_A2013$q_2_32C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_32D_Fact <- factor(DF_ECH_A2013$q_2_32D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_32E_Fact <- factor(DF_ECH_A2013$q_2_32E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_32F_Fact <- factor(DF_ECH_A2013$q_2_32F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_33A_Fact <- factor(DF_ECH_A2013$q_2_33A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_33B_Fact <- factor(DF_ECH_A2013$q_2_33B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_33C_Fact <- factor(DF_ECH_A2013$q_2_33C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_34_Fact <- factor(DF_ECH_A2013$q_2_34, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Centralizzato per pi abitazioni", 
"Impianto autonomo", 
"Apparecchi singoli fissi", 
"Apparecchi singoli portatili")) 


q_2_37A_Fact <- factor(DF_ECH_A2013$q_2_37A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_37B_Fact <- factor(DF_ECH_A2013$q_2_37B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_37C_Fact <- factor(DF_ECH_A2013$q_2_37C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_37D_Fact <- factor(DF_ECH_A2013$q_2_37D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_37E_Fact <- factor(DF_ECH_A2013$q_2_37E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_37F_Fact <- factor(DF_ECH_A2013$q_2_37F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_38_Fact <- factor(DF_ECH_A2013$q_2_38, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Il sistema centralizzato per pi abitazioni", 
"L'impianto autonomo solo per la Sua abitazione", 
"Gli apparecchi singoli fissi", 
"Gli apparecchi singoli portatili", 
"I climatizzatori caldo/freddo fissi", 
"I climatizzatori caldo/freddo portatili")) 


q_2_39_Fact <- factor(DF_ECH_A2013$q_2_39, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_40A_Fact <- factor(DF_ECH_A2013$q_2_40A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_40B_Fact <- factor(DF_ECH_A2013$q_2_40B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_40C_Fact <- factor(DF_ECH_A2013$q_2_40C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_41A_Fact <- factor(DF_ECH_A2013$q_2_41A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_41B_Fact <- factor(DF_ECH_A2013$q_2_41B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_41C_Fact <- factor(DF_ECH_A2013$q_2_41C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_41D_Fact <- factor(DF_ECH_A2013$q_2_41D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_41E_Fact <- factor(DF_ECH_A2013$q_2_41E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_42_Fact <- factor(DF_ECH_A2013$q_2_42, 
levels=c("1", 
"2", 
"3"), 
labels=c("Il sistema centralizzato per pi abitazioni", 
"L'impianto autonomo solo per la Sua abitazione", 
"Gli scaldabagni/apparecchi singoli")) 


q_2_45A_Fact <- factor(DF_ECH_A2013$q_2_45A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_45B_Fact <- factor(DF_ECH_A2013$q_2_45B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_45C_Fact <- factor(DF_ECH_A2013$q_2_45C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_45D_Fact <- factor(DF_ECH_A2013$q_2_45D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_45E_Fact <- factor(DF_ECH_A2013$q_2_45E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_45F_Fact <- factor(DF_ECH_A2013$q_2_45F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_45G_Fact <- factor(DF_ECH_A2013$q_2_45G, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_46A_Fact <- factor(DF_ECH_A2013$q_2_46A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_46C_Fact <- factor(DF_ECH_A2013$q_2_46C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_46D_Fact <- factor(DF_ECH_A2013$q_2_46D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_46E_Fact <- factor(DF_ECH_A2013$q_2_46E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_47_Fact <- factor(DF_ECH_A2013$q_2_47, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_48A_Fact <- factor(DF_ECH_A2013$q_2_48A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_48B_Fact <- factor(DF_ECH_A2013$q_2_48B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_48C_Fact <- factor(DF_ECH_A2013$q_2_48C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_2_48D_Fact <- factor(DF_ECH_A2013$q_2_48D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_3_0_Fact <- factor(DF_ECH_A2013$q_3_0, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Centralizzato per pi abitazioni", 
"Impianto autonomo", 
"Apparecchi singoli fissi", 
"Apparecchi singoli portatili")) 


q_3_1_Fact <- factor(DF_ECH_A2013$q_3_1, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Tramite metano/gas di rete", 
"Gasolio", 
"GPL ( per gli apparecchi singoli portatili comprende anche il cherosene)", 
"Energia elettrica", 
"Olio combustibile", 
"Legna da ardere, pellets o altre biomasse", 
"Carbone", 
"Non sa")) 


q_3_2_Fact <- factor(DF_ECH_A2013$q_3_2, 
levels=c("1", 
"2", 
"9"), 
labels=c("S", 
"No", 
"Non sa")) 


q_3_3_Fact <- factor(DF_ECH_A2013$q_3_3, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Ad aria", 
"Ad acqua da falda", 
"Ad acqua superficiale", 
"Oppure a terreno", 
"Non sa")) 


q_3_4_1_Fact <- factor(DF_ECH_A2013$q_3_4_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_4_2_Fact <- factor(DF_ECH_A2013$q_3_4_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_4_3_Fact <- factor(DF_ECH_A2013$q_3_4_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_5_Fact <- factor(DF_ECH_A2013$q_3_5, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Climatizzatore/i caldo/freddo (a pompa di calore)", 
"Apparecchio/i elettrico/i fisso/i", 
"Stufa/e a legna o altre biomasse", 
"Caminetto/i tradizionali a legna o altre biomasse", 
"Stufa/e a metano", 
"Stufa/e a GPL")) 


q_3_6_Fact <- factor(DF_ECH_A2013$q_3_6, 
levels=c("1", 
"2", 
"3"), 
labels=c("Climatizzatore/i caldo/freddo", 
"Apparecchio/i elettrico/i", 
"Stufa/e a GPL o cherosene")) 


q_3_9_Fact <- factor(DF_ECH_A2013$q_3_9, 
levels=c("1", 
"2", 
"3", 
"9"), 
labels=c("Programmata", 
"Occasionale", 
"Oppure nessuna manutenzione", 
"Non sa")) 


q_3_10_Fact <- factor(DF_ECH_A2013$q_3_10, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Tutti i giorni o quasi", 
"Qualche giorno a settimana", 
"Circa una volta a settimana", 
"Meno di 4 volte al mese", 
"Solo occasionalmente, quando serve")) 


q_3_12_Fact <- factor(DF_ECH_A2013$q_3_12, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_3_13_1_Fact <- factor(DF_ECH_A2013$q_3_13_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_13_2_Fact <- factor(DF_ECH_A2013$q_3_13_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_13_3_Fact <- factor(DF_ECH_A2013$q_3_13_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_14_Fact <- factor(DF_ECH_A2013$q_3_14, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_3_15_Fact <- factor(DF_ECH_A2013$q_3_15, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Tutti i giorni o quasi", 
"Qualche giorno a settimana", 
"Circa una volta a settimana", 
"Meno di 4 volte al mese", 
"Solo occasionalmente, quando serve")) 


q_3_17_Fact <- factor(DF_ECH_A2013$q_3_17, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Ben isolata", 
"Abbastanza isolata", 
"Poco isolata", 
"Spifferi d'aria")) 


q_3_18_Fact <- factor(DF_ECH_A2013$q_3_18, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_3_19_1_Fact <- factor(DF_ECH_A2013$q_3_19_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_2_Fact <- factor(DF_ECH_A2013$q_3_19_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_3_Fact <- factor(DF_ECH_A2013$q_3_19_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_4_Fact <- factor(DF_ECH_A2013$q_3_19_4, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_5_Fact <- factor(DF_ECH_A2013$q_3_19_5, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_6_Fact <- factor(DF_ECH_A2013$q_3_19_6, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_7_Fact <- factor(DF_ECH_A2013$q_3_19_7, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_8_Fact <- factor(DF_ECH_A2013$q_3_19_8, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_19_9_Fact <- factor(DF_ECH_A2013$q_3_19_9, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_3_20_Fact <- factor(DF_ECH_A2013$q_3_20, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("L'ha pensato e ha in programma di farli appena possibile", 
"L'ha pensato ma non li ha fatti perch troppo costosi", 
"L'ha pensato ma non li ha fatti per altri motivi", 
"Non pensa che siano necessari", 
"Non ci ha mai pensato/non sa")) 


q_3_21_Fact <- factor(DF_ECH_A2013$q_3_21, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Sostituzione caldaia", 
"Sostituzione apparecchi singoli", 
"Passaggio da apparecchi singoli ad autonomi", 
"Installazione di impianti ad energia rinnovabile", 
"Rifacimento o modifiche del sistema di distribuzione", 
"Applicazione di termostati,valvole o contabilizzatori", 
"Isolamento termico", 
"Sostituzione di porte,finestre,infissi", 
"Altro")) 


q_4_0_Fact <- factor(DF_ECH_A2013$q_4_0, 
levels=c("1", 
"2", 
"3"), 
labels=c("Il sistema centralizzato per pi abitazioni", 
"L'impianto autonomo solo per la Sua abitazione", 
"Gli scaldabagni/apparecchi singoli")) 


q_4_1_Fact <- factor(DF_ECH_A2013$q_4_1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_4_2_Fact <- factor(DF_ECH_A2013$q_4_2, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Tramite metano/gas naturale (di rete)", 
"Gasolio", 
"GPL", 
"Energia elettrica", 
"Olio combustibile", 
"Legna da ardere, pellets o altre biomasse", 
"Carbone", 
"Energia solare", 
"Non sa")) 


q_4_3_Fact <- factor(DF_ECH_A2013$q_4_3, 
levels=c("1", 
"2", 
"9"), 
labels=c("S", 
"No", 
"Non sa")) 


q_4_4_Fact <- factor(DF_ECH_A2013$q_4_4, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Ad aria", 
"Ad acqua da falda", 
"Ad acqua superficiale", 
"Oppure a terreno", 
"Non sa")) 


q_4_5_Fact <- factor(DF_ECH_A2013$q_4_5, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Scaldabagni/scaldacqua elettrici", 
"Scaldabagni/scaldacqua a metano/gas di rete", 
"Scaldabagni/scaldacqua a gasolio", 
"Scaldabagni/scaldacqua a GPL", 
"Scaldabagni/scaldacqua ad altri combustibili")) 


q_4_6_Fact <- factor(DF_ECH_A2013$q_4_6, 
levels=c("1", 
"2"), 
labels=c("Fornisce istantaneamente l'acqua calda (impianto istantaneo)", 
"Ha un serbatoio in cui l'acqua viene accumulata e riscaldata (impianto ad accumulo)")) 


q_4_7_Fact <- factor(DF_ECH_A2013$q_4_7, 
levels=c("1", 
"2", 
"3"), 
labels=c("Piccolo, con capacit fino a 50 litri", 
"Medio, con capacit da 50 a meno di 80 litri", 
"Grande, da 80 litri e oltre")) 


q_4_8_Fact <- factor(DF_ECH_A2013$q_4_8, 
levels=c("1", 
"2"), 
labels=c("Fornisce esclusivamente l'acqua calda", 
"Riscalda anche la casa")) 


q_4_9_Fact <- factor(DF_ECH_A2013$q_4_9, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Meno di 2 metri quadrati", 
"Da 2 metri quadrati a meno di 4", 
"Da 4 metri quadrati a meno di 6", 
"6 metri quadrati ed oltre", 
"Non sa")) 


q_4_10_Fact <- factor(DF_ECH_A2013$q_4_10, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Meno di 50 litri", 
"Da 50 litri a meno di 100", 
"Da 100 litri a meno di 200", 
"200 litri ed oltre", 
"Non sa")) 


q_4_11_Fact <- factor(DF_ECH_A2013$q_4_11, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("S, molto", 
"S, abbastanza", 
"S, poco", 
"No, per niente")) 


q_4_12_Fact <- factor(DF_ECH_A2013$q_4_12, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("S, molto", 
"S, abbastanza", 
"S, poco", 
"No, per niente")) 


q_4_15_Fact <- factor(DF_ECH_A2013$q_4_15, 
levels=c("1", 
"2", 
"3", 
"9"), 
labels=c("Programmata", 
"Occasionale", 
"Oppure nessuna manutenzione", 
"Non sa")) 


q_4_16_Fact <- factor(DF_ECH_A2013$q_4_16, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_4_17_Fact <- factor(DF_ECH_A2013$q_4_17, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Tutti i giorni o quasi", 
"Qualche giorno a settimana", 
"Circa una volta a settimana", 
"Meno di 4 volte al mese", 
"Solo occasionalmente, quando serve")) 


q_4_18_Fact <- factor(DF_ECH_A2013$q_4_18, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_4_19_1_Fact <- factor(DF_ECH_A2013$q_4_19_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_19_2_Fact <- factor(DF_ECH_A2013$q_4_19_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_19_3_Fact <- factor(DF_ECH_A2013$q_4_19_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_19_4_Fact <- factor(DF_ECH_A2013$q_4_19_4, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_19_5_Fact <- factor(DF_ECH_A2013$q_4_19_5, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_19_6_Fact <- factor(DF_ECH_A2013$q_4_19_6, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_19_7_Fact <- factor(DF_ECH_A2013$q_4_19_7, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_4_20_Fact <- factor(DF_ECH_A2013$q_4_20, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("L'ha pensato e ha in programma di farli appena possibile", 
"L'ha pensato ma non li ha fatti perch troppo costosi", 
"L'ha pensato ma non li ha fatti per altri motivi", 
"Non pensa che siano necessari", 
"Non ci ha mai pensato/non sa")) 


q_4_21_Fact <- factor(DF_ECH_A2013$q_4_21, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Passaggio da impianto centralizzato ad autonomo", 
"Passaggio da apparecchi singoli ad autonomi", 
"Sostituzione della caldaia", 
"Sostituzione di scaldabgni/scaldacqua", 
"Installazione di impianti ad energia rinnovabile", 
"Rifacimento o modifiche sistema distribuzione", 
"Altro")) 


q_5_0_Fact <- factor(DF_ECH_A2013$q_5_0, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Il sistema centralizzato per pi abitazioni", 
"L'impianto autonomo solo per la Sua abitazione", 
"Gli apparecchi singoli fissi", 
"Gli apparecchi singoli portatili", 
"I climatizzatori caldo/freddo fissi", 
"I climatizzatori caldo/freddo portatili")) 


q_5_1_Fact <- factor(DF_ECH_A2013$q_5_1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_5_2_Fact <- factor(DF_ECH_A2013$q_5_2, 
levels=c("1", 
"2", 
"9"), 
labels=c("S", 
"No", 
"Non sa")) 


q_5_3_Fact <- factor(DF_ECH_A2013$q_5_3, 
levels=c("1", 
"2", 
"3", 
"4", 
"9"), 
labels=c("Ad aria", 
"Ad acqua da falda", 
"Ad acqua superficiale", 
"Oppure a terreno", 
"Non sa")) 


q_5_6_Fact <- factor(DF_ECH_A2013$q_5_6, 
levels=c("1", 
"2", 
"3", 
"9"), 
labels=c("Programmata", 
"Occasionale", 
"Oppure nessuna manutenzione", 
"Non sa")) 


q_5_7_Fact <- factor(DF_ECH_A2013$q_5_7, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Tutti i giorni o quasi", 
"Qualche giorno a settimana", 
"Circa una volta a settimana", 
"Meno di 4 volte al mese", 
"Solo occasionalmente, quando serve")) 


q_5_9_Fact <- factor(DF_ECH_A2013$q_5_9, 
levels=c("1", 
"2"), 
labels=c("Tutte le stanze", 
"Solo alcune stanze")) 


q_5_11_Fact <- factor(DF_ECH_A2013$q_5_11, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_5_12_Fact <- factor(DF_ECH_A2013$q_5_12, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Tutti i giorni o quasi", 
"Qualche giorno a settimana", 
"Circa una volta a settimana", 
"Meno di 4 volte al mese", 
"Solo occasionalmente, quando serve")) 


q_5_14_Fact <- factor(DF_ECH_A2013$q_5_14, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_5_15_1_Fact <- factor(DF_ECH_A2013$q_5_15_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_5_15_2_Fact <- factor(DF_ECH_A2013$q_5_15_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_5_15_3_Fact <- factor(DF_ECH_A2013$q_5_15_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_5_15_4_Fact <- factor(DF_ECH_A2013$q_5_15_4, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_5_15_5_Fact <- factor(DF_ECH_A2013$q_5_15_5, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_5_15_6_Fact <- factor(DF_ECH_A2013$q_5_15_6, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_5_16_Fact <- factor(DF_ECH_A2013$q_5_16, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("L'ha pensato e ha in programma di farli appena possibile", 
"L'ha pensato ma non li ha fatti perch troppo costosi", 
"L'ha pensato ma non li ha fatti per altri motivi", 
"Non pensa che siano necessari", 
"Non ci ha mai pensato/non sa")) 


q_5_17_Fact <- factor(DF_ECH_A2013$q_5_17, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"8"), 
labels=c("L'ha pensato e ha in programma di farli appena possibile", 
"L'ha pensato ma non li ha fatti perch troppo costosi", 
"L'ha pensato ma non li ha fatti per altri motivi", 
"Non pensa che siano necessari", 
"Oppure non ci ha mai pensato/non sa", 
"Altro")) 


q_6_1_Fact <- factor(DF_ECH_A2013$q_6_1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2A_Fact <- factor(DF_ECH_A2013$q_6_2A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2B_Fact <- factor(DF_ECH_A2013$q_6_2B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2C_Fact <- factor(DF_ECH_A2013$q_6_2C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2D_Fact <- factor(DF_ECH_A2013$q_6_2D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2E_Fact <- factor(DF_ECH_A2013$q_6_2E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2F_Fact <- factor(DF_ECH_A2013$q_6_2F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_2G_Fact <- factor(DF_ECH_A2013$q_6_2G, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_3_Fact <- factor(DF_ECH_A2013$q_6_3, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_4_Fact <- factor(DF_ECH_A2013$q_6_4, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Quercia", 
"Faggio", 
"Frassino, betulla, castagno, pioppo", 
"Carpino, acacia, platano, eucalipto", 
"Abete, larice, cipresso", 
"Ulivo o alberi da frutto", 
"Altro", 
"Non sa")) 


q_6_7_Fact <- factor(DF_ECH_A2013$q_6_7, 
levels=c("1", 
"2", 
"3"), 
labels=c("Tutta acquistata", 
"In parte autoprodotta/recuperata e in parte acquistata", 
"Tutta autoprodotta")) 


q_6_8_Fact <- factor(DF_ECH_A2013$q_6_8, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Meno di un quarto (25%)", 
"Da circa un quarto a meno della met (50%)", 
"Da circa met a meno di tre quarti (75%)", 
"Da circa tre quarti a tutta")) 


q_6_10A_Fact <- factor(DF_ECH_A2013$q_6_10A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_10B_Fact <- factor(DF_ECH_A2013$q_6_10B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_10C_Fact <- factor(DF_ECH_A2013$q_6_10C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_10D_Fact <- factor(DF_ECH_A2013$q_6_10D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_10E_Fact <- factor(DF_ECH_A2013$q_6_10E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_10F_Fact <- factor(DF_ECH_A2013$q_6_10F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_10G_Fact <- factor(DF_ECH_A2013$q_6_10G, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_11_Fact <- factor(DF_ECH_A2013$q_6_11, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("In casa", 
"In cantina", 
"In un ripostiglio all'aperto con tettoia", 
"In un magazzino o in una baracca al chiuso")) 


q_6_12_Fact <- factor(DF_ECH_A2013$q_6_12, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16A_Fact <- factor(DF_ECH_A2013$q_6_16A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16B_Fact <- factor(DF_ECH_A2013$q_6_16B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16C_Fact <- factor(DF_ECH_A2013$q_6_16C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16D_Fact <- factor(DF_ECH_A2013$q_6_16D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16E_Fact <- factor(DF_ECH_A2013$q_6_16E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16F_Fact <- factor(DF_ECH_A2013$q_6_16F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_16G_Fact <- factor(DF_ECH_A2013$q_6_16G, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_6_17_Fact <- factor(DF_ECH_A2013$q_6_17, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("In casa", 
"In cantina", 
"In un ripostiglio all'aperto con tettoia", 
"In un magazzino o in una baracca al chiuso")) 


q_6_42_Fact <- factor(DF_ECH_A2013$q_6_42, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto soddisfatto", 
"Abbastanza soddisfatto", 
"Poco soddisfatto", 
"Per niente soddisfatto")) 


q_6_43_Fact <- factor(DF_ECH_A2013$q_6_43, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto soddisfatto", 
"Abbastanza soddisfatto", 
"Poco soddisfatto", 
"Per niente soddisfatto")) 


q_6_44_Fact <- factor(DF_ECH_A2013$q_6_44, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Molto soddisfatto", 
"Abbastanza soddisfatto", 
"Poco soddisfatto", 
"Per niente soddisfatto")) 


q_6_45_Fact <- factor(DF_ECH_A2013$q_6_45, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("S, molto", 
"S, abbastanza", 
"S, poco", 
"No, per niente")) 


q_7_5_Fact <- factor(DF_ECH_A2013$q_7_5, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_7_6_1_Fact <- factor(DF_ECH_A2013$q_7_6_1, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_7_6_2_Fact <- factor(DF_ECH_A2013$q_7_6_2, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_7_6_3_Fact <- factor(DF_ECH_A2013$q_7_6_3, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_7_6_4_Fact <- factor(DF_ECH_A2013$q_7_6_4, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_7_6_5_Fact <- factor(DF_ECH_A2013$q_7_6_5, 
levels=c("0", 
"1"), 
labels=c("No", 
"S")) 


q_7_7_Fact <- factor(DF_ECH_A2013$q_7_7, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("L'ha pensato e ha in programma di farli appena possibile", 
"L'ha pensato ma non li ha fatti perch troppo costosi", 
"L'ha pensato ma non li ha fatti per altri motivi", 
"Non pensa che siano necessari", 
"Non ci ha mai pensato/non sa")) 


q_7_8_Fact <- factor(DF_ECH_A2013$q_7_8, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Sostituzione delle lampadine tradizionali con quelle a risparmio energetico", 
"Installazione di regolatori d'intensit o di interruttori crepuscolari", 
"Sostituzione di uno o pi elettrodomestici con apparecchi pi efficienti", 
"Installazione di impianti ad energia rinnovabile per la produzione di energia elettrica", 
"Altro")) 


q_8_1_Fact <- factor(DF_ECH_A2013$q_8_1, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_5_Fact <- factor(DF_ECH_A2013$q_8_5, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("Piccolo, alto un metro circa", 
"medio, alto circa un metro e cinquanta", 
"grande, alto circa un metro e ottanta", 
"molto grande, alto circa due metri con due  porte affiancate")) 


q_8_6_Fact <- factor(DF_ECH_A2013$q_8_6, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_7_Fact <- factor(DF_ECH_A2013$q_8_7, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_10_Fact <- factor(DF_ECH_A2013$q_8_10, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_13_Fact <- factor(DF_ECH_A2013$q_8_13, 
levels=c("1", 
"2", 
"3"), 
labels=c("piccola, con capacit di carico minore di 4 chili", 
"media, con carico tra 4 e 6 chili", 
"grande, con carico superiore ai 6 chili")) 


q_8_17_Fact <- factor(DF_ECH_A2013$q_8_17, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_18_Fact <- factor(DF_ECH_A2013$q_8_18, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_21_Fact <- factor(DF_ECH_A2013$q_8_21, 
levels=c("1", 
"2", 
"3"), 
labels=c("piccola, con capacit di carico minore di 4 chili", 
"media, con carico tra 4 e 6 chili", 
"grande, con carico superiore ai 6 chili")) 


q_8_23_Fact <- factor(DF_ECH_A2013$q_8_23, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_28A_Fact <- factor(DF_ECH_A2013$q_8_28A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_28B_Fact <- factor(DF_ECH_A2013$q_8_28B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_28C_Fact <- factor(DF_ECH_A2013$q_8_28C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_28D_Fact <- factor(DF_ECH_A2013$q_8_28D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_29_Fact <- factor(DF_ECH_A2013$q_8_29, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_30_Fact <- factor(DF_ECH_A2013$q_8_30, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("A metano/gas naturale", 
"A energia elettrica", 
"A GPL in bombola", 
"A legna o altre biomasse")) 


q_8_31_Fact <- factor(DF_ECH_A2013$q_8_31, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Due o pi volte al giorno", 
"Una volta al giorno", 
"Due o pi volte a settimana", 
"Una volta a settimana", 
"Meno di una volta a settimana")) 


q_8_32_Fact <- factor(DF_ECH_A2013$q_8_32, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_33_Fact <- factor(DF_ECH_A2013$q_8_33, 
levels=c("1", 
"2", 
"3", 
"4"), 
labels=c("A metano/gas naturale", 
"A energia elettrica", 
"A GPL in bombola", 
"A legna o altre biomasse")) 


q_8_34_Fact <- factor(DF_ECH_A2013$q_8_34, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Due o pi volte al giorno", 
"Una volta al giorno", 
"Due o pi volte a settimana", 
"Una volta a settimana", 
"Meno di una volta a settimana")) 


q_8_37_Fact <- factor(DF_ECH_A2013$q_8_37, 
levels=c("1", 
"2", 
"3"), 
labels=c("piccolo, di larghezza inferiore a 60 cm (capacit inferiore a 52 litri)", 
"medio, di larghezza pari a 60 cm (capacit compresa tra da 52 litri a 54 litri)", 
"grande, di larghezza superiore o uguale a 90 cm (capacit pari o superiore a 55 litri)")) 


q_8_38A_Fact <- factor(DF_ECH_A2013$q_8_38A, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38B_Fact <- factor(DF_ECH_A2013$q_8_38B, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38C_Fact <- factor(DF_ECH_A2013$q_8_38C, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38D_Fact <- factor(DF_ECH_A2013$q_8_38D, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38E_Fact <- factor(DF_ECH_A2013$q_8_38E, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38F_Fact <- factor(DF_ECH_A2013$q_8_38F, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38G_Fact <- factor(DF_ECH_A2013$q_8_38G, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38H_Fact <- factor(DF_ECH_A2013$q_8_38H, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38I_Fact <- factor(DF_ECH_A2013$q_8_38I, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38L_Fact <- factor(DF_ECH_A2013$q_8_38L, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_38M_Fact <- factor(DF_ECH_A2013$q_8_38M, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_39_Fact <- factor(DF_ECH_A2013$q_8_39, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_42_Fact <- factor(DF_ECH_A2013$q_8_42, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Meno di due ore", 
"Da 2 a meno di 4 ore", 
"Da 4 a meno di 6 ore", 
"Da 6 a meno di 12 ore", 
"12 ore o pi")) 


q_8_43_Fact <- factor(DF_ECH_A2013$q_8_43, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_46_Fact <- factor(DF_ECH_A2013$q_8_46, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Meno di due ore", 
"Da 2 a meno di 4 ore", 
"Da 4 a meno di 6 ore", 
"Da 6 a meno di 12 ore", 
"12 ore o pi")) 


q_8_47_Fact <- factor(DF_ECH_A2013$q_8_47, 
levels=c("1", 
"2", 
"3"), 
labels=c("Acceso", 
"In standby", 
"Spento")) 


q_8_49_Fact <- factor(DF_ECH_A2013$q_8_49, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


q_8_50_Fact <- factor(DF_ECH_A2013$q_8_50, 
levels=c("1", 
"2"), 
labels=c("S", 
"No")) 


fa_risc_Fact <- factor(DF_ECH_A2013$fa_risc, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Tramite metano/gas di rete", 
"Gasolio", 
"GPL ( per gli apparecchi singoli portatili comprende anche il cherosene)", 
"Energia elettrica", 
"Olio combustibile", 
"Legna da ardere, pellets o altre biomasse", 
"Carbone", 
"Non sa")) 


fa_acqua_Fact <- factor(DF_ECH_A2013$fa_acqua, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Tramite metano/gas naturale (di rete)", 
"Gasolio", 
"GPL", 
"Energia elettrica", 
"Olio combustibile", 
"Legna da ardere, pellets o altre biomasse", 
"Carbone", 
"Energia solare", 
"Non sa")) 


reg_new_Fact <- factor(DF_ECH_A2013$reg_new, 
levels=c("10", 
"20", 
"30", 
"41", 
"42", 
"50", 
"60", 
"70", 
"80", 
"90", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Bolzano", 
"Trento", 
"Veneto", 
"Friuli Venezia Giulia", 
"Liguria", 
"Emilia Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


q_2_4_ric_Fact <- factor(DF_ECH_A2013$q_2_4_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Dal 2000 ad oggi", 
"Dal 1990 al 1999", 
"Negli anni ottanta (1980-1989)", 
"Anni settanta (1970-1979)", 
"Anni sessanta (1960-1969)", 
"Anni cinquanta (1950-1959)", 
"Dal 1900 al 1949", 
"Prima del 1900", 
"Non sa")) 


q_2_7_class_Fact <- factor(DF_ECH_A2013$q_2_7_class, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Da 10 a 19 mq", 
"Da 20 a 39 mq", 
"Da 40 a 59 mq", 
"Da 60 a 89 mq", 
"Da 90 a 119 mq", 
"Da 120 a 149 mq", 
"Pi di 150 mq")) 


q_2_11_class_Fact <- factor(DF_ECH_A2013$q_2_11_class, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"98"), 
labels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11 e pi")) 


q_2_15_class_Fact <- factor(DF_ECH_A2013$q_2_15_class, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"98"), 
labels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11 e pi")) 


q_2_19_class_Fact <- factor(DF_ECH_A2013$q_2_19_class, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"98"), 
labels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11 e pi")) 


q_3_7_ric_Fact <- factor(DF_ECH_A2013$q_3_7_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_4_13_ric_Fact <- factor(DF_ECH_A2013$q_4_13_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_5_4_ric_Fact <- factor(DF_ECH_A2013$q_5_4_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_6_5_ric_Fact <- factor(DF_ECH_A2013$q_6_5_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Minore di 250 kg", 
"Da 250 kg a meno di 500", 
"Da 500 Kg a meno di 1.000", 
"Da 1.000 Kg a meno di 1.500", 
"Da 1.500 Kg a meno di 2.000", 
"Da 2.000 Kg a meno di 3.000", 
"Da 3.000 Kg a meno di 4.000", 
"Da 4.000 Kg a meno di 5.000", 
"Superiore a 5.000 Kg")) 


q_6_9_ric_Fact <- factor(DF_ECH_A2013$q_6_9_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Meno di 200 ", 
"Da 200  a meno di 300 ", 
"Da 300  a meno di 400 ", 
"Da 400  a meno di 500 ", 
"Da 500  a meno di 600 ", 
"Da 600  a meno di 700 ", 
"700   o pi")) 


q_6_13_ric_Fact <- factor(DF_ECH_A2013$q_6_13_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Minore di 250 kg", 
"Da 250 kg a meno di 500", 
"Da 500 Kg a meno di 1.000", 
"Da 1.000 Kg a meno di 1.500", 
"Da 1.500 Kg a meno di 2.000", 
"Da 2.000 Kg a meno di 3.000", 
"Superiore a 3.000 Kg")) 


q_6_15_ric_Fact <- factor(DF_ECH_A2013$q_6_15_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Meno di 200 ", 
"Da 200  a meno di 300 ", 
"Da 300  a meno di 400 ", 
"Da 400  a meno di 500 ", 
"Da 500  a meno di 600 ", 
"Da 600  a meno di 700 ", 
"700   o pi")) 


q_8_3_ric_Fact <- factor(DF_ECH_A2013$q_8_3_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_8_8_ric_Fact <- factor(DF_ECH_A2013$q_8_8_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_8_11_ric_Fact <- factor(DF_ECH_A2013$q_8_11_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_8_19_ric_Fact <- factor(DF_ECH_A2013$q_8_19_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_8_24_ric_Fact <- factor(DF_ECH_A2013$q_8_24_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_8_35_ric_Fact <- factor(DF_ECH_A2013$q_8_35_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"9"), 
labels=c("Meno di 1 anno", 
"Da 1 anno a meno di 2", 
"Da 2 anni a meno di 3", 
"Da 3 anni a meno di 6", 
"Da 6 anni a meno di 10", 
"Da 10 anni a meno di 20", 
"20 anni o pi", 
"Non sa")) 


q_9_1_ric_Fact <- factor(DF_ECH_A2013$q_9_1_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("Meno di 300 ", 
"Da 300  a meno di 400 ", 
"Da 400  a meno di 500 ", 
"Da 500  a meno di 600 ", 
"Da 600  a meno di 700 ", 
"Da 700  a meno di 800 ", 
"Da 800  a meno di 900 ", 
"Da 900  a meno di 1000 ", 
"1000   o pi")) 


q_9_4_ric_Fact <- factor(DF_ECH_A2013$q_9_4_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12"), 
labels=c("Meno di 300 ", 
"Da 300  a meno di 400 ", 
"Da 400  a meno di 500 ", 
"Da 500  a meno di 600 ", 
"Da 600  a meno di 700 ", 
"Da 700  a meno di 800 ", 
"Da 800  a meno di 900 ", 
"Da 900  a meno di 1000 ", 
"Da 1000  a meno di 1200 ", 
"Da 1200  a meno di 1400 ", 
"Da 1400  a meno di 1600 ", 
"1000   o pi")) 


q_9_5_ric_Fact <- factor(DF_ECH_A2013$q_9_5_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10"), 
labels=c("Meno di 600 ", 
"Da 600  a meno di 800 ", 
"Da 800  a meno di 1000 ", 
"Da 1000  a meno di 1200 ", 
"Da 1200  a meno di 1400 ", 
"Da 1400  a meno di 1600 ", 
"Da 1600  a meno di 1800 ", 
"Da 1800  a meno di 2000 ", 
"Da 2000  a meno di 2200 ", 
"2200   o pi")) 


q_9_6_ric_Fact <- factor(DF_ECH_A2013$q_9_6_ric, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7"), 
labels=c("Meno di 100 ", 
"Da 100  a meno di 200 ", 
"Da 200  a meno di 300 ", 
"Da 300  a meno di 400 ", 
"Da 400  a meno di 600 ", 
"Da 600  a meno di 800 ", 
"800   o pi")) 


dom_Fact <- factor(DF_ECH_A2013$dom, 
levels=c("1", 
"3", 
"4", 
"6"), 
labels=c("Comune centro dell'area metropolitana;Comuni della periferia dell'area metropolitana", 
"Comuni con piu'di 50.000 abitanti;", 
"Comuni di montagna (montagna interna + montagna esterna + collina interna) con n. abitanti fino a 10.000; Comuni di montagna (montagna interna + montagna esterna + collina interna) con n. abitanti tra 10mila e 50mila", 
"Comuni NON di montagna (collina litoranea + pianura) con n. abitanti fino a 10.000; Comuni NON di montagna (collina litoranea + pianura) con n. abitanti tra 10mila e 50mila")) 

save.image (file="DF_ECH_A2013.RData")
