/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di  sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_ECH_Microdati_2013_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.ECH_A2013;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
nprog :5.   /*  Numero progressivo record */
q_1_14_sq_1 : $1.   /*  Sesso componente 1 */
q_1_14_sq_2 : $1.   /*  Sesso componente 2 */
q_1_14_sq_3 : $1.   /*  Sesso componente 3 */
q_1_14_sq_4 : $1.   /*  Sesso componente 4 */
q_1_14_sq_5 : $1.   /*  Sesso componente 5 */
q_1_14_sq_6 : $1.   /*  Sesso componente 6 */
q_1_14_sq_7 : $1.   /*  Sesso componente 7 */
q_1_14_sq_8 : $1.   /*  Sesso componente 8 */
q_1_14_sq_9 : $1.   /*  Sesso componente 9 */
q_1_14_sq_10 : $1.   /*  Sesso componente 10 */
q_1_14_sq_11 : $1.   /*  Sesso componente 11 */
q_1_14_sq_12 : $1.   /*  Sesso componente 12 */
cletas_1 : $2.   /*  Et componente 01 */
cletas_2 : $2.   /*  Et componente 02 */
cletas_3 : $2.   /*  Et componente 03 */
cletas_4 : $2.   /*  Et componente 04 */
cletas_5 : $1.   /*  Et componente 05 */
cletas_6 : $1.   /*  Et componente 06 */
cletas_7 : $1.   /*  Et componente 07 */
cletas_8 : $1.   /*  Et componente 08 */
cletas_9 : $1.   /*  Et componente 09 */
cletas_10 : $1.   /*  Et componente 10 */
cletas_11 : $1.   /*  Et componente 11 */
cletas_12 : $1.   /*  Et componente 12 */
relpar_1 : $1.   /*  Relazione di parentela con PR comp 01 */
relpar_2 : $2.   /*  Relazione di parentela con PR comp 02 */
relpar_3 : $2.   /*  Relazione di parentela con PR comp 03 */
relpar_4 : $2.   /*  Relazione di parentela con PR comp 04 */
relpar_5 : $1.   /*  Relazione di parentela con PR comp 05 */
relpar_6 : $1.   /*  Relazione di parentela con PR comp 06 */
relpar_7 : $1.   /*  Relazione di parentela con PR comp 07 */
relpar_8 : $1.   /*  Relazione di parentela con PR comp 08 */
relpar_9 : $1.   /*  Relazione di parentela con PR comp 09 */
relpar_10 : $1.   /*  Relazione di parentela con PR comp 10 */
relpar_11 : $1.   /*  Relazione di parentela con PR comp 11 */
relpar_12 : $1.   /*  Relazione di parentela con PR comp 12 */
condpro_1 : $1.   /*  Condizione professionale comp 01 */
condpro_2 : $1.   /*  Condizione professionale comp 02 */
condpro_3 : $1.   /*  Condizione professionale comp 03 */
condpro_4 : $1.   /*  Condizione professionale comp 04 */
condpro_5 : $1.   /*  Condizione professionale comp 05 */
condpro_6 : $1.   /*  Condizione professionale comp 06 */
condpro_7 : $1.   /*  Condizione professionale comp 07 */
condpro_8 : $1.   /*  Condizione professionale comp 08 */
condpro_9 : $1.   /*  Condizione professionale comp 09 */
condpro_10 : $1.   /*  Condizione professionale comp 10 */
condpro_11 : $1.   /*  Condizione professionale comp 11 */
condpro_12 : $1.   /*  Condizione professionale comp 12 */
tipolav_1 : $1.   /*  Tipo di lavoro che svolge comp 01 */
tipolav_2 : $1.   /*  Tipo di lavoro che svolge comp 02 */
tipolav_3 : $1.   /*  Tipo di lavoro che svolge comp 03 */
tipolav_4 : $1.   /*  Tipo di lavoro che svolge comp 04 */
tipolav_5 : $1.   /*  Tipo di lavoro che svolge comp 05 */
tipolav_6 : $1.   /*  Tipo di lavoro che svolge comp 06 */
tipolav_7 : $1.   /*  Tipo di lavoro che svolge comp 07 */
tipolav_8 : $1.   /*  Tipo di lavoro che svolge comp 08 */
tipolav_9 : $1.   /*  Tipo di lavoro che svolge comp 09 */
tipolav_10 : $1.   /*  Tipo di lavoro che svolge comp 10 */
tipolav_11 : $1.   /*  Tipo di lavoro che svolge comp 11 */
tipolav_12 : $1.   /*  Tipo di lavoro che svolge comp 12 */
livello_1 : $1.   /*  Livello di inquadramento comp 01 */
livello_2 : $1.   /*  Livello di inquadramento comp 02 */
livello_3 : $1.   /*  Livello di inquadramento comp 03 */
livello_4 : $1.   /*  Livello di inquadramento comp 04 */
livello_5 : $1.   /*  Livello di inquadramento comp 05 */
livello_6 : $1.   /*  Livello di inquadramento comp 06 */
livello_7 : $1.   /*  Livello di inquadramento comp 07 */
livello_8 : $1.   /*  Livello di inquadramento comp 08 */
livello_9 : $1.   /*  Livello di inquadramento comp 09 */
livello_10 : $1.   /*  Livello di inquadramento comp 10 */
livello_11 : $1.   /*  Livello di inquadramento comp 11 */
livello_12 : $1.   /*  Livello di inquadramento comp 12 */
titstu_1 : $2.   /*  Titolo di studio comp 01 */
titstu_2 : $2.   /*  Titolo di studio comp 02 */
titstu_3 : $2.   /*  Titolo di studio comp 03 */
titstu_4 : $2.   /*  Titolo di studio comp 04 */
titstu_5 : $1.   /*  Titolo di studio comp 05 */
titstu_6 : $1.   /*  Titolo di studio comp 06 */
titstu_7 : $1.   /*  Titolo di studio comp 07 */
titstu_8 : $1.   /*  Titolo di studio comp 08 */
titstu_9 : $1.   /*  Titolo di studio comp 09 */
titstu_10 : $1.   /*  Titolo di studio comp 10 */
titstu_11 : $1.   /*  Titolo di studio comp 11 */
titstu_12 : $1.   /*  Titolo di studio comp 12 */
q_1_12_sq : $1.   /*  Numero d'ordine del componente */
anno : $2.   /*  Anno */
rip : $1.   /*  Ripartizione geografica */
reg : $2.   /*  Regione */
q_1_1_sq1 :1.   /*  Numero persone che vivono nell'abitazione */
q_1_20_sq1 : $1.   /*  Interruzione domicilio componente 10 */
q_2_1 : $1.   /*  Tipo di abitazione */
q_2_2 : $1.   /*  Piano dell'appartamento */
q_2_3 : $2.   /*  Numero del piano */
q_2_8 :2.   /*  Numero di stanze */
q_2_9A : $1.   /*  Ulteriori dotazioni:Cantina */
q_2_9B : $1.   /*  Ulteriori dotazioni:Solaio o soffitta */
q_2_9C : $1.   /*  Ulteriori dotazioni:Box auto o posto auto */
q_2_9D : $1.   /*  Ulteriori dotazioni:Balcone o terrazzo */
q_2_9E : $1.   /*  Ulteriori dotazioni:Giardino privato */
q_2_10 : $1.   /*  Finestre con infissi in legno */
q_2_14 : $1.   /*  Finestre con infissi in acciaio o allumin */
q_2_18 : $1.   /*  Finestre con infissi in plastica/PVC */
q_2_22 : $1.   /*  Conoscenza procedure certificazione energ */
q_2_25 : $1.   /*  Tipologia di muratura dell'edificio */
q_2_26 : $1.   /*  Coinbentazione/Isolamento pareti */
q_2_27_1 : $1.   /*  Sistema di coinbentazione:cappotto estern */
q_2_27_2 : $1.   /*  Sistema di coinbentazione:cappotto intern */
q_2_27_3 : $1.   /*  Sistema di coinbentazione:intercapedini */
q_2_27_9 : $1.   /*  Sistema di coinbentazione: Non sa */
q_2_28 : $1.   /*  Tipo di copertura dell'abitazione */
q_2_29_1 : $1.   /*  Esposizione dell'abitazione - Nord */
q_2_29_2 : $1.   /*  Esposizione dell'abitazione - Est */
q_2_29_3 : $1.   /*  Esposizione dell'abitazione - Sud */
q_2_29_4 : $1.   /*  Esposizione dell'abitazione -Ovest */
q_2_29_9 : $1.   /*  Esposizione dell'abitazione -Non sa */
q_2_30 : $1.   /*  Dotazione di impianto di riscaldamento */
q_2_31A : $1.   /*  Tipo di impianto di riscaldamento: centra */
q_2_31B : $1.   /*  Tipo di impianto di riscaldamento: autono */
q_2_31C : $1.   /*  Tipo di impianto di riscaldamento:apparec */
q_2_31D : $1.   /*  Tipo di impianto di riscaldamento:apparec */
q_2_32A : $1.   /*  Tipo di apparecchi singoli fissi:climatiz */
q_2_32B : $1.   /*  Tipo di apparecchi singoli fissi:altri ap */
q_2_32C : $1.   /*  Tipo di apparecchi singoli fissi:stufe tr */
q_2_32D : $1.   /*  Tipo di apparecchi singoli fissi:caminett */
q_2_32E : $1.   /*  Tipo di apparecchi singoli fissi:stufe fisse metano */
q_2_32F : $1.   /*  Tipo di apparecchi singoli fissi:stufe fisse GPL */
q_2_33A : $1.   /*  Tipo di apparecchi singoli portatili:clim */
q_2_33B : $1.   /*  Tipo di apparecchi singoli portatili:appa */
q_2_33C : $1.   /*  Tipo di apparecchi singoli portatili:stuf */
q_2_34 : $1.   /*  Impianto prevalente di riscaldamento */
q_2_37A : $1.   /*  Tipo di impianto condizionamento: sistemi */
q_2_37B : $1.   /*  Tipo di impianto condizionamento: impiant */
q_2_37C : $1.   /*  Tipo di impianto condizionamento: condizi */
q_2_37D : $1.   /*  Tipo di impianto condizionamento: condizi */
q_2_37E : $1.   /*  Tipo di impianto condizionamento: climati */
q_2_37F : $1.   /*  Tipo di impianto condizionamento: climati */
q_2_38 : $1.   /*  Impianto prevalente di condizionamento */
q_2_39 : $1.   /*  Dotazione impianto di riscaldamento acqua */
q_2_40A : $1.   /*  Tipo di impianto riscaldamento acqua: cen */
q_2_40B : $1.   /*  Tipo di impianto riscaldamento acqua: aut */
q_2_40C : $1.   /*  Tipo di impianto riscaldamento acqua: uno */
q_2_41A : $1.   /*  Tipo di apparecchi singoli: scaldabagni e */
q_2_41B : $1.   /*  Tipo di apparecchi singoli: scaldabagni a */
q_2_41C : $1.   /*  Tipo di apparecchi singoli: scaldabagni a */
q_2_41D : $1.   /*  Tipo di apparecchi singoli:scaldabagni a */
q_2_41E : $1.   /*  Tipo di apparecchi singoli:scaldabagni a */
q_2_42 : $1.   /*  Impianto prevalente di riscaldamento dell */
q_2_45A : $1.   /*  Tipo di apparecchiature a biomasse: camin */
q_2_45B : $1.   /*  Tipo di apparecchiature a biomasse:camino */
q_2_45C : $1.   /*  Tipo di apparecchiature a biomasse: stufe */
q_2_45D : $1.   /*  Tipo di apparecchiature a biomasse: stufa */
q_2_45E : $1.   /*  Tipo di apparecchiature a biomasse: scald */
q_2_45F : $1.   /*  Tipo di apparecchiature a biomasse: calda */
q_2_45G : $1.   /*  Tipo di apparecchiature a biomasse: appar */
q_2_46A : $1.   /*  Servizi di cui dispone l'abitazione: meta */
q_2_46C : $1.   /*  Servizi di cui dispone l'abitazione: impi */
q_2_46D : $1.   /*  Servizi di cui dispone l'abitazione: impi */
q_2_46E : $1.   /*  Servizi di cui dispone l'abitazione: GPL */
q_2_47 : $1.   /*  Cambiamento gestori ultimi 5 anni */
q_2_48A : $1.   /*  Gestori cambiati: fornitore di metano o g */
q_2_48B : $1.   /*  Gestori cambiati: fornitore di energia el */
q_2_48C : $1.   /*  Gestori cambiati:compagnia telefonica */
q_2_48D : $1.   /*  Gestori cambiati: altro */
q_3_0 : $1.   /*  Impianto di riscaldamento unico o prevale */
q_3_1 : $1.   /*  Fonte alimentazione impianti centralizzat */
q_3_2 : $1.   /*  Impianto a pompa di calore (centralizzti */
q_3_3 : $1.   /*  Tipologia di pompa di calore (centralizzt */
q_3_4_1 : $1.   /*  Modalit di diffusione del calore - termo */
q_3_4_2 : $1.   /*  Modalit di diffusione del calore - conve */
q_3_4_3 : $1.   /*  Modalit di diffusione del calore - pavim */
q_3_5 : $1.   /*  Apparecchio fisso prevalente (se 2.32=mul */
q_3_6 : $1.   /*  Apparecchio fisso portatile (se 2.33=mult */
q_3_9 : $1.   /*  Tipo di manutenzione dell'impianto di ris */
q_3_10 : $1.   /*  Frequenza di utilizzo dell'impianto di ri */
q_3_11A :1.   /*  Numero di ore di accensione per fascia or */
q_3_11B :1.   /*  Numero di ore di accensione per fascia or */
q_3_11C :1.   /*  Numero di ore di accensione per fascia or */
q_3_12 : $1.   /*  Possibilit di regolazione della temperat */
q_3_13_1 : $1.   /*  Modalit di regolazione della temperatura */
q_3_13_2 : $1.   /*  Modalit di regolazione della temperatura */
q_3_13_3 : $1.   /*  Modalit di regolazione della temperatura */
q_3_14 : $1.   /*  Utilizzo sistema ausiliario di riscaldame */
q_3_15 : $1.   /*  Frequenza di utilizzo sistema di riscalda */
q_3_16 :1.   /*  Numero medio giornaliero di ore di accens */
q_3_17 : $1.   /*  Isolamento termico della casa */
q_3_18 : $1.   /*  Investimenti negli ultimi 5 anni per ridu */
q_3_19_1 : $1.   /*  Tipologia di investimento - sostituzione */
q_3_19_2 : $1.   /*  Tipologia di investimento - sostituzione */
q_3_19_3 : $1.   /*  Tipologia di investimento - passaggio sin */
q_3_19_4 : $1.   /*  Tipologia di investimento - impianti ener */
q_3_19_5 : $1.   /*  Tipologia di investimento - modifica sist */
q_3_19_6 : $1.   /*  Tipologia di investimento - applicazione */
q_3_19_7 : $1.   /*  Tipologia di investimento - isolamento te */
q_3_19_8 : $1.   /*  Tipologia di investimento -sostituzione p */
q_3_19_9 : $1.   /*  Tipologia di investimento - altro */
q_3_20 : $1.   /*  Ulteriori investimenti in programma */
q_3_21 : $1.   /*  Descrizione degli investimenti in program */
q_4_0 : $1.   /*  Impianto riscaldamento acqua unico o prev */
q_4_1 : $1.   /*  Coincidenza impianto riscaldamento abitaz */
q_4_2 : $1.   /*  Fonte alimentazione impianti centralizzat */
q_4_3 : $1.   /*  Impianto a pompa di calore centralizzati */
q_4_4 : $1.   /*  Tipologia a pompa di calore centralizzati */
q_4_5 : $1.   /*  Apparecchio singolo prevalente */
q_4_6 : $1.   /*  Impianto singolo istantaneo/ad accumulo */
q_4_7 : $1.   /*  Capacit scaldabagno */
q_4_8 : $1.   /*  Impianto solare per solo acqua o anche ab */
q_4_9 : $1.   /*  Superficie pannelli solari */
q_4_10 : $1.   /*  Capacit del serbatoio impianto solare */
q_4_11 : $1.   /*  Risparmio spese per il riscaldamento dell */
q_4_12 : $1.   /*  Risparmio spese per il riscaldamento dell */
q_4_15 : $1.   /*  Tipo di manutenzione dell'impianto di ris */
q_4_16 : $1.   /*  Utilizzo di sistemi ausiliari di riscalda */
q_4_17 : $1.   /*  Frequenza di utilizzo sistemi riscaldamen */
q_4_18 : $1.   /*  Investimenti negli ultimi 5 anni per ridu */
q_4_19_1 : $1.   /*  Descrizione investimenti effettuati - Pas */
q_4_19_2 : $1.   /*  Descrizione investimenti effettuati - pas */
q_4_19_3 : $1.   /*  Descrizione investimenti effettuati - sos */
q_4_19_4 : $1.   /*  Descrizione investimenti effettuati - sos */
q_4_19_5 : $1.   /*  Descrizione investimenti effettuati - imp */
q_4_19_6 : $1.   /*  Descrizione investimenti effettuati - mod */
q_4_19_7 : $1.   /*  Descrizione investimenti effettuati - alt */
q_4_20 : $1.   /*  Ulteriori investimenti in programma */
q_4_21 : $1.   /*  Descrizione investimenti in programma */
q_5_0 : $1.   /*  Impianto di condizionamento unico o preva */
q_5_1 : $1.   /*  Coincidenza impianto di condizionamento e */
q_5_2 : $1.   /*  Impianto a pompa di calore(5.0=1,2) */
q_5_3 : $1.   /*  Tipologia di pompa di calore centralizzti */
q_5_6 : $1.   /*  Tipo di manutenzione dell'impianto di con */
q_5_7 : $1.   /*  Frequenza di utilizzo dell'impianto di co */
q_5_8A :1.   /*  Numero di ore di accensione per fascia or */
q_5_8B :1.   /*  Numero di ore di accensione per fascia or */
q_5_8C :1.   /*  Numero di ore di accensione per fascia or */
q_5_9 : $1.   /*  Sistema di condizionamento in tutte/alcun */
q_5_10 :1.   /*  Numero di stanze con il condizionatore ac */
q_5_11 : $1.   /*  Utilizzo sistema ausiliario di riscaldame */
q_5_12 : $1.   /*  Frequenza di utilizzo sistema di riscalda */
q_5_13 :1.   /*  Numero medio giornaliero di ore di accens */
q_5_14 : $1.   /*  Investimenti negli ultimi 5 anni per ridu */
q_5_15_1 : $1.   /*  Tipologia di investimenti fatti - passagg */
q_5_15_2 : $1.   /*  Tipologia di investimenti fatti -sostituz */
q_5_15_3 : $1.   /*  Tipologia di investimenti fatti - sostitu */
q_5_15_4 : $1.   /*  Tipologia di investimenti fatti - modific */
q_5_15_5 : $1.   /*  Tipologia di investimenti fatti -disposit */
q_5_15_6 : $1.   /*  Tipologia di investimenti fatti - Altro */
q_5_16 : $1.   /*  Ulteriori investimenti in programma */
q_5_17 : $1.   /*  Descrizione degli investimenti in program */
q_6_1 : $1.   /*  Utilizzo di biomasse */
q_6_2A : $1.   /*  Tipo di biomasse utilizzate:legna da arde */
q_6_2B : $1.   /*  Tipo di biomasse utilizzate:pellets */
q_6_2C : $1.   /*  Tipo di biomasse utilizzate:cippato */
q_6_2D : $1.   /*  Tipo di biomasse utilizzate:carbonella */
q_6_2E : $1.   /*  Tipo di biomasse utilizzate:gusci di mand */
q_6_2F : $1.   /*  Tipo di biomasse utilizzate:sansa */
q_6_2G : $1.   /*  Tipo di biomasse utilizzate:scarti di leg */
q_6_3 : $1.   /*  Utilizzo di legna negli ultimi 12 mesi */
q_6_4 : $1.   /*  Tipo di legna utilizzata negli ultimi 12 */
q_6_7 : $1.   /*  Canale approvvigionamento legna utilizzat */
q_6_8 : $1.   /*  Quantit di legna autoprodotta/recuperata */
q_6_10A : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_10B : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_10C : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_10D : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_10E : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_10F : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_10G : $1.   /*  Apparecchi con cui si  utilizzata legna */
q_6_11 : $1.   /*  Luogo di conservazione della legna */
q_6_12 : $1.   /*  Utilizzo pellets negli ultimi 12 mesi */
q_6_16A : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_16B : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_16C : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_16D : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_16E : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_16F : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_16G : $1.   /*  Apparecchi con cui si sono utilizzati pel */
q_6_17 : $1.   /*  Luogo di conservazione dei pellets */
q_6_31 : $1.   /*  Spesa sostenuta per i gusci utilizzati negli ultimi 12 mesi */
q_6_42 : $1.   /*  Soddisfazione per l'uso di biomasse per i */
q_6_43 : $1.   /*  Soddisfazione per l'uso di biomasse per i */
q_6_44 : $1.   /*  Soddisfazione per l'uso di biomasse per c */
q_6_45 : $1.   /*  Opinione sul risparmio deteminato dall'us */
q_7_1 :2.   /*  Numero di lampadine a risparmio energetic */
q_7_2A : $2.   /*  Classi di accensione lampadine a risparmi */
q_7_2B : $2.   /*  Classi di accensione lampadine a risparmi */
q_7_2C : $2.   /*  Classi di accensione lampadine a risparmi */
q_7_3 :2.   /*  Numero di lampadine tradizionali */
q_7_4A : $2.   /*  Classi di accensione lampadine tradiziona */
q_7_4B : $2.   /*  Classi di accensione lampadine tradiziona */
q_7_4C : $2.   /*  Classi di accensione lampadine tradiziona */
q_7_5 : $1.   /*  Investimenti negli ultimi 5 anni per ridu */
q_7_6_1 : $1.   /*  Tipologia di investimenti fatti - cambio */
q_7_6_2 : $1.   /*  Tipologia di investimenti fatti - regolat */
q_7_6_3 : $1.   /*  Tipologia di investimenti fatti - sostitu */
q_7_6_4 : $1.   /*  Tipologia di investimenti fatti - impiant */
q_7_6_5 : $1.   /*  Tipologia di investimenti fatti - Altro */
q_7_7 : $1.   /*  Ulteriori investimenti in programma */
q_7_8 : $1.   /*  Descrizione degli investimenti in program */
q_8_1 : $1.   /*  Dotazione di frigoriferi */
q_8_2 :1.   /*  Numero frigoriferi */
q_8_5 : $1.   /*  Dimensioni frigorifero */
q_8_6 : $1.   /*  Dotazione di vano congelatore */
q_8_7 : $1.   /*  Dotazione di congelatore */
q_8_10 : $1.   /*  Dotazione di lavatrice */
q_8_13 : $1.   /*  Dimnesioni lavatrice */
q_8_14 :2.   /*  Numero di lavaggi lavatrice effettuati in una settimana */
q_8_15A :2.   /*  Numero di lavaggi lavatrice per classe di temperatura: a meno di 30 gradi */
q_8_15B :2.   /*  Numero di lavaggi lavatrice per classe di temperatura: tra 31 e 60 gradi */
q_8_15C :2.   /*  Numero di lavaggi lavatrice per classe di temperatura: oltre 60 gradi */
q_8_16A :2.   /*  Numero di lavaggi lavatrice per classe di orario: prima delle 8 o dopo le 19 */
q_8_16B :2.   /*  Numero di lavaggi lavatrice per classe di orario: tra le 8 e le 19 */
q_8_16C :2.   /*  Numero di lavaggi lavatrice per classe di orario: nei weekend e festivi */
q_8_17 : $1.   /*  Funzione di asciugatura della lavatrice */
q_8_18 : $1.   /*  Dotazione di asciugatrice separata dalla lavatrice */
q_8_21 : $1.   /*  Dimensioni asciugatrice */
q_8_22 :2.   /*  Numero di lavaggi con asciugatura effettuati in una settimana */
q_8_23 : $1.   /*  Dotazione di lavastoviglie */
q_8_26 :2.   /*  Numero di lavaggi della lavastoviglie effettuati in una settimana */
q_8_27A :2.   /*  Numero di lavaggi lavastoviglie  per classe di orario: prima delle 8 o dopo le 19 */
q_8_27B :2.   /*  Numero di lavaggi lavastoviglie  per classe di orario: tra le 8 e le 19 */
q_8_27C :2.   /*  Numero di lavaggi lavastoviglie  per classe di orario: nei weekend e festivi */
q_8_28A : $1.   /*  Dotazione di elettrodomestici per la pulizia della casa: aspirapolvere, scopa elettrica, battitappeto */
q_8_28B : $1.   /*  Dotazione di elettrodomestici per la pulizia della casa:lavapavimenti o generatori di vapore */
q_8_28C : $1.   /*  Dotazione di elettrodomestici per la pulizia della casa: robot puliscipavimenti */
q_8_28D : $1.   /*  Dotazione di elettrodomestici per la pulizia della casa: ferri da stiro */
q_8_29 : $1.   /*  Dotazione fornelli */
q_8_30 : $1.   /*  Fonte alimentazione fornelli */
q_8_31 : $1.   /*  Frequenza di utilizzo fornelli */
q_8_32 : $1.   /*  Dotazione forno */
q_8_33 : $1.   /*  Fonte alimentazione forno */
q_8_34 : $1.   /*  Frequenza di utilizzo forno */
q_8_37 : $1.   /*  Dimensioni forno elettrico */
q_8_38A : $1.   /*  Dotazione di elettrodomestici per cucinare: robot da cucina */
q_8_38B : $1.   /*  Dotazione di elettrodomestici per cucinare: frullatore */
q_8_38C : $1.   /*  Dotazione di elettrodomestici per cucinare:  macinacaff elettrici */
q_8_38D : $1.   /*  Dotazione di elettrodomestici per cucinare: affettatrice */
q_8_38E : $1.   /*  Dotazione di elettrodomestici per cucinare: macchina per il pane */
q_8_38F : $1.   /*  Dotazione di elettrodomestici per cucinare: per te/caff/cappuccino elettrica */
q_8_38G : $1.   /*  Dotazione di elettrodomestici per cucinare: tostapane */
q_8_38H : $1.   /*  Dotazione di elettrodomestici per cucinare: forno a micronde */
q_8_38I : $1.   /*  Dotazione di elettrodomestici per cucinare: forno a legna o altre biomasse */
q_8_38L : $1.   /*  Dotazione di elettrodomestici per cucinare: barbecue a legna */
q_8_38M : $1.   /*  Dotazione di elettrodomestici per cucinare: pastra, bistecchiera, griglia elettrica */
q_8_39 : $1.   /*  Dotazione di televisori a colori */
q_8_40 :1.   /*  Numero di TV a colori */
q_8_41A :2.   /*  Numero di TV a colori per tipologi: a tubo catodico */
q_8_41B :2.   /*  Numero di TV a colori per tipologia: al plasma */
q_8_41C :2.   /*  Numero di TV a colori per tipologia: TV LCD */
q_8_41D :2.   /*  Numero di TV a colori per tipologia: TV a LED */
q_8_42 : $1.   /*  Numero di ore di accensione del televisore */
q_8_43 : $1.   /*  Dotazione di PC */
q_8_44 :1.   /*  Numero di PC */
q_8_45A :1.   /*  Numero di PC per tipologia : PC da tavolo */
q_8_45B :1.   /*  Numero di PC per tipologia : PC portatili */
q_8_46 :1.   /*  Numero di ore di accensione del PC in media */
q_8_47 : $1.   /*  Modalit di uso del PC */
q_8_49 : $1.   /*  Connessione ADSL ad internet */
q_8_50 : $1.   /*  Altro tipo di connessione ad internet */
fa_risc : $1.   /*  Fonte alimentazione RISCALDAMENTO (1=metano;2=gasolio) */
fa_acqua : $1.   /*  Fonte alimentazione ACQUA (1=metano;2=gasolio) */
q_3_11tot :2.   /*  ORE TOTALI DI ACCENSIONE IMPIANTO UNICO O */
q_5_8tot :2.   /*  ORE TOTALI DI ACCENSIONE IMPIANTO UNICO O */
reg_new : $3.   /*  Regione con Trento e Bolzano separate */
q_2_4_ric : $1.   /*  Anno di costruzione immobile in classi */
q_2_7_class : $1.   /*  Superficie dell'immobile in classi (in metri quadrati) */
q_2_11_class : $2.   /*  Numero di finestre con infissi in legno (classi) */
q_2_15_class : $2.   /*  Numero finestre con infissi in acciaio o alluminio (classi) */
q_2_19_class : $1.   /*  Numero finestre con infissi in plastica/PVC (classi) */
q_3_7_ric : $1.   /*  Anno impianto di riscaldamento in classi */
q_4_13_ric : $1.   /*  Anno impianto di riscaldamento acqua in c */
q_5_4_ric : $1.   /*  Anno impianto di condizionamento in class */
q_6_5_ric : $1.   /*  Quantitativi di legna utilizzata negli ul */
q_6_9_ric : $1.   /*  Spesa sostenuta per la legna utilizzata n */
q_6_13_ric : $1.   /*  Quantitativi di pellets utilizzata negli */
q_6_15_ric : $1.   /*  Spesa sostenuta per i pellets utilizzati */
q_8_3_ric : $1.   /*  Anno frigorifero in classi */
q_8_8_ric : $1.   /*  Anno congelatore in classi */
q_8_11_ric : $1.   /*  Anno della lavatrice in classi */
q_8_19_ric : $1.   /*  Anno asciugatrice in classi */
q_8_24_ric : $1.   /*  Anno lavastoviglie in classi */
q_8_35_ric : $1.   /*  Anno forno in classi */
q_9_1_ric : $1.   /*  Spesa per l'energia elettrica in classi */
q_9_4_ric : $2.   /*  Spesa per il metano/gas di rete  in classi */
q_9_5_ric : $2.   /*  Spesa per il gasolio  in classi */
q_9_6_ric : $1.   /*  Spesa per il GPL  in classi */
coef_red :5.   /*  COEFFICIENTE DI RIPORTO FINALE */
id_unit :1.   /*  Identificativo famiglia */
dom : $1.   /*  Dominio: tipologia comunale */
;
LABEL 
nprog = "Numero progressivo record"
q_1_14_sq_1 = "Sesso componente 1"
q_1_14_sq_2 = "Sesso componente 2"
q_1_14_sq_3 = "Sesso componente 3"
q_1_14_sq_4 = "Sesso componente 4"
q_1_14_sq_5 = "Sesso componente 5"
q_1_14_sq_6 = "Sesso componente 6"
q_1_14_sq_7 = "Sesso componente 7"
q_1_14_sq_8 = "Sesso componente 8"
q_1_14_sq_9 = "Sesso componente 9"
q_1_14_sq_10 = "Sesso componente 10"
q_1_14_sq_11 = "Sesso componente 11"
q_1_14_sq_12 = "Sesso componente 12"
cletas_1 = "Et componente 01"
cletas_2 = "Et componente 02"
cletas_3 = "Et componente 03"
cletas_4 = "Et componente 04"
cletas_5 = "Et componente 05"
cletas_6 = "Et componente 06"
cletas_7 = "Et componente 07"
cletas_8 = "Et componente 08"
cletas_9 = "Et componente 09"
cletas_10 = "Et componente 10"
cletas_11 = "Et componente 11"
cletas_12 = "Et componente 12"
relpar_1 = "Relazione di parentela con PR comp 01"
relpar_2 = "Relazione di parentela con PR comp 02"
relpar_3 = "Relazione di parentela con PR comp 03"
relpar_4 = "Relazione di parentela con PR comp 04"
relpar_5 = "Relazione di parentela con PR comp 05"
relpar_6 = "Relazione di parentela con PR comp 06"
relpar_7 = "Relazione di parentela con PR comp 07"
relpar_8 = "Relazione di parentela con PR comp 08"
relpar_9 = "Relazione di parentela con PR comp 09"
relpar_10 = "Relazione di parentela con PR comp 10"
relpar_11 = "Relazione di parentela con PR comp 11"
relpar_12 = "Relazione di parentela con PR comp 12"
condpro_1 = "Condizione professionale comp 01"
condpro_2 = "Condizione professionale comp 02"
condpro_3 = "Condizione professionale comp 03"
condpro_4 = "Condizione professionale comp 04"
condpro_5 = "Condizione professionale comp 05"
condpro_6 = "Condizione professionale comp 06"
condpro_7 = "Condizione professionale comp 07"
condpro_8 = "Condizione professionale comp 08"
condpro_9 = "Condizione professionale comp 09"
condpro_10 = "Condizione professionale comp 10"
condpro_11 = "Condizione professionale comp 11"
condpro_12 = "Condizione professionale comp 12"
tipolav_1 = "Tipo di lavoro che svolge comp 01"
tipolav_2 = "Tipo di lavoro che svolge comp 02"
tipolav_3 = "Tipo di lavoro che svolge comp 03"
tipolav_4 = "Tipo di lavoro che svolge comp 04"
tipolav_5 = "Tipo di lavoro che svolge comp 05"
tipolav_6 = "Tipo di lavoro che svolge comp 06"
tipolav_7 = "Tipo di lavoro che svolge comp 07"
tipolav_8 = "Tipo di lavoro che svolge comp 08"
tipolav_9 = "Tipo di lavoro che svolge comp 09"
tipolav_10 = "Tipo di lavoro che svolge comp 10"
tipolav_11 = "Tipo di lavoro che svolge comp 11"
tipolav_12 = "Tipo di lavoro che svolge comp 12"
livello_1 = "Livello di inquadramento comp 01"
livello_2 = "Livello di inquadramento comp 02"
livello_3 = "Livello di inquadramento comp 03"
livello_4 = "Livello di inquadramento comp 04"
livello_5 = "Livello di inquadramento comp 05"
livello_6 = "Livello di inquadramento comp 06"
livello_7 = "Livello di inquadramento comp 07"
livello_8 = "Livello di inquadramento comp 08"
livello_9 = "Livello di inquadramento comp 09"
livello_10 = "Livello di inquadramento comp 10"
livello_11 = "Livello di inquadramento comp 11"
livello_12 = "Livello di inquadramento comp 12"
titstu_1 = "Titolo di studio comp 01"
titstu_2 = "Titolo di studio comp 02"
titstu_3 = "Titolo di studio comp 03"
titstu_4 = "Titolo di studio comp 04"
titstu_5 = "Titolo di studio comp 05"
titstu_6 = "Titolo di studio comp 06"
titstu_7 = "Titolo di studio comp 07"
titstu_8 = "Titolo di studio comp 08"
titstu_9 = "Titolo di studio comp 09"
titstu_10 = "Titolo di studio comp 10"
titstu_11 = "Titolo di studio comp 11"
titstu_12 = "Titolo di studio comp 12"
q_1_12_sq = "Numero d'ordine del componente"
anno = "Anno"
rip = "Ripartizione geografica"
reg = "Regione"
q_1_1_sq1 = "Numero persone che vivono nell'abitazione"
q_1_20_sq1 = "Interruzione domicilio componente 10"
q_2_1 = "Tipo di abitazione"
q_2_2 = "Piano dell'appartamento"
q_2_3 = "Numero del piano"
q_2_8 = "Numero di stanze"
q_2_9A = "Ulteriori dotazioni:Cantina"
q_2_9B = "Ulteriori dotazioni:Solaio o soffitta"
q_2_9C = "Ulteriori dotazioni:Box auto o posto auto"
q_2_9D = "Ulteriori dotazioni:Balcone o terrazzo"
q_2_9E = "Ulteriori dotazioni:Giardino privato"
q_2_10 = "Finestre con infissi in legno"
q_2_14 = "Finestre con infissi in acciaio o allumin"
q_2_18 = "Finestre con infissi in plastica/PVC"
q_2_22 = "Conoscenza procedure certificazione energ"
q_2_25 = "Tipologia di muratura dell'edificio"
q_2_26 = "Coinbentazione/Isolamento pareti"
q_2_27_1 = "Sistema di coinbentazione:cappotto estern"
q_2_27_2 = "Sistema di coinbentazione:cappotto intern"
q_2_27_3 = "Sistema di coinbentazione:intercapedini"
q_2_27_9 = "Sistema di coinbentazione: Non sa"
q_2_28 = "Tipo di copertura dell'abitazione"
q_2_29_1 = "Esposizione dell'abitazione - Nord"
q_2_29_2 = "Esposizione dell'abitazione - Est"
q_2_29_3 = "Esposizione dell'abitazione - Sud"
q_2_29_4 = "Esposizione dell'abitazione -Ovest"
q_2_29_9 = "Esposizione dell'abitazione -Non sa"
q_2_30 = "Dotazione di impianto di riscaldamento"
q_2_31A = "Tipo di impianto di riscaldamento: centra"
q_2_31B = "Tipo di impianto di riscaldamento: autono"
q_2_31C = "Tipo di impianto di riscaldamento:apparec"
q_2_31D = "Tipo di impianto di riscaldamento:apparec"
q_2_32A = "Tipo di apparecchi singoli fissi:climatiz"
q_2_32B = "Tipo di apparecchi singoli fissi:altri ap"
q_2_32C = "Tipo di apparecchi singoli fissi:stufe tr"
q_2_32D = "Tipo di apparecchi singoli fissi:caminett"
q_2_32E = "Tipo di apparecchi singoli fissi:stufe fisse metano"
q_2_32F = "Tipo di apparecchi singoli fissi:stufe fisse GPL"
q_2_33A = "Tipo di apparecchi singoli portatili:clim"
q_2_33B = "Tipo di apparecchi singoli portatili:appa"
q_2_33C = "Tipo di apparecchi singoli portatili:stuf"
q_2_34 = "Impianto prevalente di riscaldamento"
q_2_37A = "Tipo di impianto condizionamento: sistemi"
q_2_37B = "Tipo di impianto condizionamento: impiant"
q_2_37C = "Tipo di impianto condizionamento: condizi"
q_2_37D = "Tipo di impianto condizionamento: condizi"
q_2_37E = "Tipo di impianto condizionamento: climati"
q_2_37F = "Tipo di impianto condizionamento: climati"
q_2_38 = "Impianto prevalente di condizionamento"
q_2_39 = "Dotazione impianto di riscaldamento acqua"
q_2_40A = "Tipo di impianto riscaldamento acqua: cen"
q_2_40B = "Tipo di impianto riscaldamento acqua: aut"
q_2_40C = "Tipo di impianto riscaldamento acqua: uno"
q_2_41A = "Tipo di apparecchi singoli: scaldabagni e"
q_2_41B = "Tipo di apparecchi singoli: scaldabagni a"
q_2_41C = "Tipo di apparecchi singoli: scaldabagni a"
q_2_41D = "Tipo di apparecchi singoli:scaldabagni a"
q_2_41E = "Tipo di apparecchi singoli:scaldabagni a"
q_2_42 = "Impianto prevalente di riscaldamento dell"
q_2_45A = "Tipo di apparecchiature a biomasse: camin"
q_2_45B = "Tipo di apparecchiature a biomasse:camino"
q_2_45C = "Tipo di apparecchiature a biomasse: stufe"
q_2_45D = "Tipo di apparecchiature a biomasse: stufa"
q_2_45E = "Tipo di apparecchiature a biomasse: scald"
q_2_45F = "Tipo di apparecchiature a biomasse: calda"
q_2_45G = "Tipo di apparecchiature a biomasse: appar"
q_2_46A = "Servizi di cui dispone l'abitazione: meta"
q_2_46C = "Servizi di cui dispone l'abitazione: impi"
q_2_46D = "Servizi di cui dispone l'abitazione: impi"
q_2_46E = "Servizi di cui dispone l'abitazione: GPL"
q_2_47 = "Cambiamento gestori ultimi 5 anni"
q_2_48A = "Gestori cambiati: fornitore di metano o g"
q_2_48B = "Gestori cambiati: fornitore di energia el"
q_2_48C = "Gestori cambiati:compagnia telefonica"
q_2_48D = "Gestori cambiati: altro"
q_3_0 = "Impianto di riscaldamento unico o prevale"
q_3_1 = "Fonte alimentazione impianti centralizzat"
q_3_2 = "Impianto a pompa di calore (centralizzti"
q_3_3 = "Tipologia di pompa di calore (centralizzt"
q_3_4_1 = "Modalit di diffusione del calore - termo"
q_3_4_2 = "Modalit di diffusione del calore - conve"
q_3_4_3 = "Modalit di diffusione del calore - pavim"
q_3_5 = "Apparecchio fisso prevalente (se 2.32=mul"
q_3_6 = "Apparecchio fisso portatile (se 2.33=mult"
q_3_9 = "Tipo di manutenzione dell'impianto di ris"
q_3_10 = "Frequenza di utilizzo dell'impianto di ri"
q_3_11A = "Numero di ore di accensione per fascia or"
q_3_11B = "Numero di ore di accensione per fascia or"
q_3_11C = "Numero di ore di accensione per fascia or"
q_3_12 = "Possibilit di regolazione della temperat"
q_3_13_1 = "Modalit di regolazione della temperatura"
q_3_13_2 = "Modalit di regolazione della temperatura"
q_3_13_3 = "Modalit di regolazione della temperatura"
q_3_14 = "Utilizzo sistema ausiliario di riscaldame"
q_3_15 = "Frequenza di utilizzo sistema di riscalda"
q_3_16 = "Numero medio giornaliero di ore di accens"
q_3_17 = "Isolamento termico della casa"
q_3_18 = "Investimenti negli ultimi 5 anni per ridu"
q_3_19_1 = "Tipologia di investimento - sostituzione"
q_3_19_2 = "Tipologia di investimento - sostituzione"
q_3_19_3 = "Tipologia di investimento - passaggio sin"
q_3_19_4 = "Tipologia di investimento - impianti ener"
q_3_19_5 = "Tipologia di investimento - modifica sist"
q_3_19_6 = "Tipologia di investimento - applicazione"
q_3_19_7 = "Tipologia di investimento - isolamento te"
q_3_19_8 = "Tipologia di investimento -sostituzione p"
q_3_19_9 = "Tipologia di investimento - altro"
q_3_20 = "Ulteriori investimenti in programma"
q_3_21 = "Descrizione degli investimenti in program"
q_4_0 = "Impianto riscaldamento acqua unico o prev"
q_4_1 = "Coincidenza impianto riscaldamento abitaz"
q_4_2 = "Fonte alimentazione impianti centralizzat"
q_4_3 = "Impianto a pompa di calore centralizzati"
q_4_4 = "Tipologia a pompa di calore centralizzati"
q_4_5 = "Apparecchio singolo prevalente"
q_4_6 = "Impianto singolo istantaneo/ad accumulo"
q_4_7 = "Capacit scaldabagno"
q_4_8 = "Impianto solare per solo acqua o anche ab"
q_4_9 = "Superficie pannelli solari"
q_4_10 = "Capacit del serbatoio impianto solare"
q_4_11 = "Risparmio spese per il riscaldamento dell"
q_4_12 = "Risparmio spese per il riscaldamento dell"
q_4_15 = "Tipo di manutenzione dell'impianto di ris"
q_4_16 = "Utilizzo di sistemi ausiliari di riscalda"
q_4_17 = "Frequenza di utilizzo sistemi riscaldamen"
q_4_18 = "Investimenti negli ultimi 5 anni per ridu"
q_4_19_1 = "Descrizione investimenti effettuati - Pas"
q_4_19_2 = "Descrizione investimenti effettuati - pas"
q_4_19_3 = "Descrizione investimenti effettuati - sos"
q_4_19_4 = "Descrizione investimenti effettuati - sos"
q_4_19_5 = "Descrizione investimenti effettuati - imp"
q_4_19_6 = "Descrizione investimenti effettuati - mod"
q_4_19_7 = "Descrizione investimenti effettuati - alt"
q_4_20 = "Ulteriori investimenti in programma"
q_4_21 = "Descrizione investimenti in programma"
q_5_0 = "Impianto di condizionamento unico o preva"
q_5_1 = "Coincidenza impianto di condizionamento e"
q_5_2 = "Impianto a pompa di calore(5.0=1,2)"
q_5_3 = "Tipologia di pompa di calore centralizzti"
q_5_6 = "Tipo di manutenzione dell'impianto di con"
q_5_7 = "Frequenza di utilizzo dell'impianto di co"
q_5_8A = "Numero di ore di accensione per fascia or"
q_5_8B = "Numero di ore di accensione per fascia or"
q_5_8C = "Numero di ore di accensione per fascia or"
q_5_9 = "Sistema di condizionamento in tutte/alcun"
q_5_10 = "Numero di stanze con il condizionatore ac"
q_5_11 = "Utilizzo sistema ausiliario di riscaldame"
q_5_12 = "Frequenza di utilizzo sistema di riscalda"
q_5_13 = "Numero medio giornaliero di ore di accens"
q_5_14 = "Investimenti negli ultimi 5 anni per ridu"
q_5_15_1 = "Tipologia di investimenti fatti - passagg"
q_5_15_2 = "Tipologia di investimenti fatti -sostituz"
q_5_15_3 = "Tipologia di investimenti fatti - sostitu"
q_5_15_4 = "Tipologia di investimenti fatti - modific"
q_5_15_5 = "Tipologia di investimenti fatti -disposit"
q_5_15_6 = "Tipologia di investimenti fatti - Altro"
q_5_16 = "Ulteriori investimenti in programma"
q_5_17 = "Descrizione degli investimenti in program"
q_6_1 = "Utilizzo di biomasse"
q_6_2A = "Tipo di biomasse utilizzate:legna da arde"
q_6_2B = "Tipo di biomasse utilizzate:pellets"
q_6_2C = "Tipo di biomasse utilizzate:cippato"
q_6_2D = "Tipo di biomasse utilizzate:carbonella"
q_6_2E = "Tipo di biomasse utilizzate:gusci di mand"
q_6_2F = "Tipo di biomasse utilizzate:sansa"
q_6_2G = "Tipo di biomasse utilizzate:scarti di leg"
q_6_3 = "Utilizzo di legna negli ultimi 12 mesi"
q_6_4 = "Tipo di legna utilizzata negli ultimi 12"
q_6_7 = "Canale approvvigionamento legna utilizzat"
q_6_8 = "Quantit di legna autoprodotta/recuperata"
q_6_10A = "Apparecchi con cui si  utilizzata legna"
q_6_10B = "Apparecchi con cui si  utilizzata legna"
q_6_10C = "Apparecchi con cui si  utilizzata legna"
q_6_10D = "Apparecchi con cui si  utilizzata legna"
q_6_10E = "Apparecchi con cui si  utilizzata legna"
q_6_10F = "Apparecchi con cui si  utilizzata legna"
q_6_10G = "Apparecchi con cui si  utilizzata legna"
q_6_11 = "Luogo di conservazione della legna"
q_6_12 = "Utilizzo pellets negli ultimi 12 mesi"
q_6_16A = "Apparecchi con cui si sono utilizzati pel"
q_6_16B = "Apparecchi con cui si sono utilizzati pel"
q_6_16C = "Apparecchi con cui si sono utilizzati pel"
q_6_16D = "Apparecchi con cui si sono utilizzati pel"
q_6_16E = "Apparecchi con cui si sono utilizzati pel"
q_6_16F = "Apparecchi con cui si sono utilizzati pel"
q_6_16G = "Apparecchi con cui si sono utilizzati pel"
q_6_17 = "Luogo di conservazione dei pellets"
q_6_31 = "Spesa sostenuta per i gusci utilizzati negli ultimi 12 mesi"
q_6_42 = "Soddisfazione per l'uso di biomasse per i"
q_6_43 = "Soddisfazione per l'uso di biomasse per i"
q_6_44 = "Soddisfazione per l'uso di biomasse per c"
q_6_45 = "Opinione sul risparmio deteminato dall'us"
q_7_1 = "Numero di lampadine a risparmio energetic"
q_7_2A = "Classi di accensione lampadine a risparmi"
q_7_2B = "Classi di accensione lampadine a risparmi"
q_7_2C = "Classi di accensione lampadine a risparmi"
q_7_3 = "Numero di lampadine tradizionali"
q_7_4A = "Classi di accensione lampadine tradiziona"
q_7_4B = "Classi di accensione lampadine tradiziona"
q_7_4C = "Classi di accensione lampadine tradiziona"
q_7_5 = "Investimenti negli ultimi 5 anni per ridu"
q_7_6_1 = "Tipologia di investimenti fatti - cambio"
q_7_6_2 = "Tipologia di investimenti fatti - regolat"
q_7_6_3 = "Tipologia di investimenti fatti - sostitu"
q_7_6_4 = "Tipologia di investimenti fatti - impiant"
q_7_6_5 = "Tipologia di investimenti fatti - Altro"
q_7_7 = "Ulteriori investimenti in programma"
q_7_8 = "Descrizione degli investimenti in program"
q_8_1 = "Dotazione di frigoriferi"
q_8_2 = "Numero frigoriferi"
q_8_5 = "Dimensioni frigorifero"
q_8_6 = "Dotazione di vano congelatore"
q_8_7 = "Dotazione di congelatore"
q_8_10 = "Dotazione di lavatrice"
q_8_13 = "Dimnesioni lavatrice"
q_8_14 = "Numero di lavaggi lavatrice effettuati in una settimana"
q_8_15A = "Numero di lavaggi lavatrice per classe di temperatura: a meno di 30 gradi"
q_8_15B = "Numero di lavaggi lavatrice per classe di temperatura: tra 31 e 60 gradi"
q_8_15C = "Numero di lavaggi lavatrice per classe di temperatura: oltre 60 gradi"
q_8_16A = "Numero di lavaggi lavatrice per classe di orario: prima delle 8 o dopo le 19"
q_8_16B = "Numero di lavaggi lavatrice per classe di orario: tra le 8 e le 19"
q_8_16C = "Numero di lavaggi lavatrice per classe di orario: nei weekend e festivi"
q_8_17 = "Funzione di asciugatura della lavatrice"
q_8_18 = "Dotazione di asciugatrice separata dalla lavatrice"
q_8_21 = "Dimensioni asciugatrice"
q_8_22 = "Numero di lavaggi con asciugatura effettuati in una settimana"
q_8_23 = "Dotazione di lavastoviglie"
q_8_26 = "Numero di lavaggi della lavastoviglie effettuati in una settimana"
q_8_27A = "Numero di lavaggi lavastoviglie  per classe di orario: prima delle 8 o dopo le 19"
q_8_27B = "Numero di lavaggi lavastoviglie  per classe di orario: tra le 8 e le 19"
q_8_27C = "Numero di lavaggi lavastoviglie  per classe di orario: nei weekend e festivi"
q_8_28A = "Dotazione di elettrodomestici per la pulizia della casa: aspirapolvere, scopa elettrica, battitappeto"
q_8_28B = "Dotazione di elettrodomestici per la pulizia della casa:lavapavimenti o generatori di vapore"
q_8_28C = "Dotazione di elettrodomestici per la pulizia della casa: robot puliscipavimenti"
q_8_28D = "Dotazione di elettrodomestici per la pulizia della casa: ferri da stiro"
q_8_29 = "Dotazione fornelli"
q_8_30 = "Fonte alimentazione fornelli"
q_8_31 = "Frequenza di utilizzo fornelli"
q_8_32 = "Dotazione forno"
q_8_33 = "Fonte alimentazione forno"
q_8_34 = "Frequenza di utilizzo forno"
q_8_37 = "Dimensioni forno elettrico"
q_8_38A = "Dotazione di elettrodomestici per cucinare: robot da cucina"
q_8_38B = "Dotazione di elettrodomestici per cucinare: frullatore"
q_8_38C = "Dotazione di elettrodomestici per cucinare:  macinacaff elettrici"
q_8_38D = "Dotazione di elettrodomestici per cucinare: affettatrice"
q_8_38E = "Dotazione di elettrodomestici per cucinare: macchina per il pane"
q_8_38F = "Dotazione di elettrodomestici per cucinare: per te/caff/cappuccino elettrica"
q_8_38G = "Dotazione di elettrodomestici per cucinare: tostapane"
q_8_38H = "Dotazione di elettrodomestici per cucinare: forno a micronde"
q_8_38I = "Dotazione di elettrodomestici per cucinare: forno a legna o altre biomasse"
q_8_38L = "Dotazione di elettrodomestici per cucinare: barbecue a legna"
q_8_38M = "Dotazione di elettrodomestici per cucinare: pastra, bistecchiera, griglia elettrica"
q_8_39 = "Dotazione di televisori a colori"
q_8_40 = "Numero di TV a colori"
q_8_41A = "Numero di TV a colori per tipologi: a tubo catodico"
q_8_41B = "Numero di TV a colori per tipologia: al plasma"
q_8_41C = "Numero di TV a colori per tipologia: TV LCD"
q_8_41D = "Numero di TV a colori per tipologia: TV a LED"
q_8_42 = "Numero di ore di accensione del televisore"
q_8_43 = "Dotazione di PC"
q_8_44 = "Numero di PC"
q_8_45A = "Numero di PC per tipologia : PC da tavolo"
q_8_45B = "Numero di PC per tipologia : PC portatili"
q_8_46 = "Numero di ore di accensione del PC in media"
q_8_47 = "Modalit di uso del PC"
q_8_49 = "Connessione ADSL ad internet"
q_8_50 = "Altro tipo di connessione ad internet"
fa_risc = "Fonte alimentazione RISCALDAMENTO (1=metano;2=gasolio)"
fa_acqua = "Fonte alimentazione ACQUA (1=metano;2=gasolio)"
q_3_11tot = "ORE TOTALI DI ACCENSIONE IMPIANTO UNICO O"
q_5_8tot = "ORE TOTALI DI ACCENSIONE IMPIANTO UNICO O"
reg_new = "Regione con Trento e Bolzano separate"
q_2_4_ric = "Anno di costruzione immobile in classi"
q_2_7_class = "Superficie dell'immobile in classi (in metri quadrati)"
q_2_11_class = "Numero di finestre con infissi in legno (classi)"
q_2_15_class = "Numero finestre con infissi in acciaio o alluminio (classi)"
q_2_19_class = "Numero finestre con infissi in plastica/PVC (classi)"
q_3_7_ric = "Anno impianto di riscaldamento in classi"
q_4_13_ric = "Anno impianto di riscaldamento acqua in c"
q_5_4_ric = "Anno impianto di condizionamento in class"
q_6_5_ric = "Quantitativi di legna utilizzata negli ul"
q_6_9_ric = "Spesa sostenuta per la legna utilizzata n"
q_6_13_ric = "Quantitativi di pellets utilizzata negli"
q_6_15_ric = "Spesa sostenuta per i pellets utilizzati"
q_8_3_ric = "Anno frigorifero in classi"
q_8_8_ric = "Anno congelatore in classi"
q_8_11_ric = "Anno della lavatrice in classi"
q_8_19_ric = "Anno asciugatrice in classi"
q_8_24_ric = "Anno lavastoviglie in classi"
q_8_35_ric = "Anno forno in classi"
q_9_1_ric = "Spesa per l'energia elettrica in classi"
q_9_4_ric = "Spesa per il metano/gas di rete  in classi"
q_9_5_ric = "Spesa per il gasolio  in classi"
q_9_6_ric = "Spesa per il GPL  in classi"
coef_red = "COEFFICIENTE DI RIPORTO FINALE"
id_unit = "Identificativo famiglia"
dom = "Dominio: tipologia comunale"
;
RUN;
PROC FORMAT;
VALUE $q_11F /* q_1_14_sq_1 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_12F /* q_1_14_sq_2 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_13F /* q_1_14_sq_3 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_14F /* q_1_14_sq_4 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_15F /* q_1_14_sq_5 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_16F /* q_1_14_sq_6 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_17F /* q_1_14_sq_7 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_18F /* q_1_14_sq_8 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_19F /* q_1_14_sq_9 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_110F /* q_1_14_sq_10 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_111F /* q_1_14_sq_11 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $q_112F /* q_1_14_sq_12 */
"1" = "Maschio"
"2" = "Femmina"
;
VALUE $cle13F /* cletas_1 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle14F /* cletas_2 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle15F /* cletas_3 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle16F /* cletas_4 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle17F /* cletas_5 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle18F /* cletas_6 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle19F /* cletas_7 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle20F /* cletas_8 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle21F /* cletas_9 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle22F /* cletas_10 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle23F /* cletas_11 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $cle24F /* cletas_12 */
"0" = "eta< 3"
"3" = "2 <eta < 6"
"6" = "5<eta<11"
"11" = "10<eta<15"
"15" = "14<eta<20"
"20" = "19<eta<25"
"25" = "24<eta<30"
"30" = "29<eta<35"
"35" = "34<eta<40"
"40" = "39<eta<45"
"45" = "44<eta<50"
"50" = "49<eta<55"
"55" = "54<eta<60"
"60" = "59<eta<65"
"65" = "64<eta<70"
"70" = "69<eta<75"
"75" = "74<eta"
;
VALUE $rel25F /* relpar_1 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel26F /* relpar_2 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel27F /* relpar_3 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel28F /* relpar_4 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel29F /* relpar_5 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel30F /* relpar_6 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel31F /* relpar_7 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel32F /* relpar_8 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel33F /* relpar_9 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel34F /* relpar_10 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel35F /* relpar_11 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $rel36F /* relpar_12 */
"1" = "PR - Persona di Riferimento"
"2" = "Marito o moglie del PR - Convivente (coniugalmente) del PR"
"4" = "Figlio nato dall'ultimo matrimonio/convivenza o dal precedente matrimonio/convivenza del PR o del coniuge/convivente del PR"
"6" = "Ascendente o altro parente del PR o del coniuge/convivente del PR"
"8" = "Collaboratore domestico o amico convivente"
"10" = "Affittuario"
;
VALUE $con37F /* condpro_1 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con38F /* condpro_2 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con39F /* condpro_3 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con40F /* condpro_4 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con41F /* condpro_5 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con42F /* condpro_6 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con43F /* condpro_7 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con44F /* condpro_8 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con45F /* condpro_9 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con46F /* condpro_10 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con47F /* condpro_11 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $con48F /* condpro_12 */
"1" = "Occupato/a"
"2" = "Disoccupato/a  o in cerca di prima occupazione"
"4" = "Casalinga/o"
"5" = "Studente"
"6" = "Ritirato/a dal lavoro (pensionato)"
"7" = "Inabile al lavoro o in altra condizione"
;
VALUE $tip49F /* tipolav_1 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip50F /* tipolav_2 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip51F /* tipolav_3 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip52F /* tipolav_4 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip53F /* tipolav_5 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip54F /* tipolav_6 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip55F /* tipolav_7 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip56F /* tipolav_8 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip57F /* tipolav_9 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip58F /* tipolav_10 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip59F /* tipolav_11 */
"1" = "Un lavoro alle dipendenze"
"2" = "Un lavoro di collaborazione coordinata e continuativa (con o senza progetto); lavoro di prestazione d'opera occasionale"
"4" = "Imprenditore"
"5" = "Libero professionista"
"6" = "Lavoratore in proprio"
"7" = "Coadiuvante nell'azienda di un familiare; socio di cooperativa"
;
VALUE $tip60F /* tipolav_12 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv61F /* livello_1 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv62F /* livello_2 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv63F /* livello_3 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv64F /* livello_4 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv65F /* livello_5 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv66F /* livello_6 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv67F /* livello_7 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv68F /* livello_8 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv69F /* livello_9 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv70F /* livello_10 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv71F /* livello_11 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $liv72F /* livello_12 */
"1" = "Dirigente o quadro"
"3" = "Impiegato/a"
"4" = "Operaio/a"
"5" = "Apprendista; lavoratore/lavoratrice a domicilio per conto di imprese"
;
VALUE $tit73F /* titstu_1 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit74F /* titstu_2 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit75F /* titstu_3 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit76F /* titstu_4 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit77F /* titstu_5 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit78F /* titstu_6 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit79F /* titstu_7 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit80F /* titstu_8 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit81F /* titstu_9 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit82F /* titstu_10 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit83F /* titstu_11 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $tit84F /* titstu_12 */
"1" = "Nessun titolo e non sa leggere né scrivere; nessun titolo ma sa leggere e scrivere"
"3" = "Licenza elementare"
"4" = "Licenza media"
"5" = "Diploma o qualifica di istruzione secondaria superiore < 4 anni; diploma di istruzione secondaria superiore di 4-5 anni"
"7" = "Diploma terziario non universitario, diploma universitario; laurea triennale di primo livello (nuovo ordinamento); Master di primo livello"
"9" = "Diploma di laurea; Master di secondo livello"
"10" = "Dottorato di ricerca"
"99" = "Non sa, non ricorda"
;
VALUE $rip87F /* rip */
"1" = "Italia Nord_Ovest"
"2" = "Italia Nord_Est"
"3" = "Italia Centrale"
"4" = "Sud e Isole"
;
VALUE $reg88F /* reg */
"1" = "Piemonte"
"2" = "Valle d'Aosta"
"3" = "Lombardia"
"4" = "Trentino-Alto Adige"
"5" = "Veneto"
"6" = "Friuli-Venezia Giulia"
"7" = "Liguria"
"8" = "Emilia-Romagna"
"9" = "Toscana"
"10" = "Umbria"
"11" = "Marche"
"12" = "Lazio"
"13" = "Abruzzo"
"14" = "Molise"
"15" = "Campania"
"16" = "Puglia"
"17" = "Basilicata"
"18" = "Calabria"
"19" = "Sicilia"
"20" = "Sardegna"
;
VALUE $q_190F /* q_1_20_sq1 */
"1" = "S"
"2" = "No"
;
VALUE $q_291F /* q_2_1 */
"1" = "Casa, casale, villa o villetta unifamiliare"
"2" = "Casa, casale, villa o villetta plurifamiliare o a schiera"
"3" = "Appartamento in edificio con meno di 10 appartamenti"
"4" = "Appartamento in edificio con 10-27 appartamenti"
"5" = "Appartamento in edificio con 28 o pi appartamenti"
;
VALUE $q_292F /* q_2_2 */
"1" = "Piano seminterrato"
"2" = "Piano terra o piano rialzato"
"3" = "Piano intermedio"
"4" = "Ultimo piano"
;
VALUE $q_295F /* q_2_9A */
"1" = "S"
"2" = "No"
;
VALUE $q_296F /* q_2_9B */
"1" = "S"
"2" = "No"
;
VALUE $q_297F /* q_2_9C */
"1" = "S"
"2" = "No"
;
VALUE $q_298F /* q_2_9D */
"1" = "S"
"2" = "No"
;
VALUE $q_299F /* q_2_9E */
"1" = "S"
"2" = "No"
;
VALUE $q_2100F /* q_2_10 */
"1" = "S"
"2" = "No"
;
VALUE $q_2101F /* q_2_14 */
"1" = "S"
"2" = "No"
;
VALUE $q_2102F /* q_2_18 */
"1" = "S"
"2" = "No"
;
VALUE $q_2103F /* q_2_22 */
"1" = "S"
"2" = "No"
;
VALUE $q_2104F /* q_2_25 */
"1" = "Cemento"
"2" = "Pietrame"
"3" = "Muratura"
"4" = "Legno"
"9" = "Non sa"
;
VALUE $q_2105F /* q_2_26 */
"1" = "S"
"2" = "No"
"9" = "Non sa"
;
VALUE $q_2106F /* q_2_27_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_2107F /* q_2_27_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_2108F /* q_2_27_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_2109F /* q_2_27_9 */
"0" = "No"
"1" = "S"
;
VALUE $q_2110F /* q_2_28 */
"1" = "Falda"
"2" = "Doppia falda"
"3" = "Piano"
"4" = "Misto"
"9" = "Non sa"
;
VALUE $q_2111F /* q_2_29_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_2112F /* q_2_29_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_2113F /* q_2_29_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_2114F /* q_2_29_4 */
"0" = "No"
"1" = "S"
;
VALUE $q_2115F /* q_2_29_9 */
"0" = "No"
"1" = "S"
;
VALUE $q_2116F /* q_2_30 */
"1" = "S"
"2" = "No"
;
VALUE $q_2117F /* q_2_31A */
"1" = "S"
"2" = "No"
;
VALUE $q_2118F /* q_2_31B */
"1" = "S"
"2" = "No"
;
VALUE $q_2119F /* q_2_31C */
"1" = "S"
"2" = "No"
;
VALUE $q_2120F /* q_2_31D */
"1" = "S"
"2" = "No"
;
VALUE $q_2121F /* q_2_32A */
"1" = "S"
"2" = "No"
;
VALUE $q_2122F /* q_2_32B */
"1" = "S"
"2" = "No"
;
VALUE $q_2123F /* q_2_32C */
"1" = "S"
"2" = "No"
;
VALUE $q_2124F /* q_2_32D */
"1" = "S"
"2" = "No"
;
VALUE $q_2125F /* q_2_32E */
"1" = "S"
"2" = "No"
;
VALUE $q_2126F /* q_2_32F */
"1" = "S"
"2" = "No"
;
VALUE $q_2127F /* q_2_33A */
"1" = "S"
"2" = "No"
;
VALUE $q_2128F /* q_2_33B */
"1" = "S"
"2" = "No"
;
VALUE $q_2129F /* q_2_33C */
"1" = "S"
"2" = "No"
;
VALUE $q_2130F /* q_2_34 */
"1" = "Centralizzato per pi abitazioni"
"2" = "Impianto autonomo"
"3" = "Apparecchi singoli fissi"
"4" = "Apparecchi singoli portatili"
;
VALUE $q_2131F /* q_2_37A */
"1" = "S"
"2" = "No"
;
VALUE $q_2132F /* q_2_37B */
"1" = "S"
"2" = "No"
;
VALUE $q_2133F /* q_2_37C */
"1" = "S"
"2" = "No"
;
VALUE $q_2134F /* q_2_37D */
"1" = "S"
"2" = "No"
;
VALUE $q_2135F /* q_2_37E */
"1" = "S"
"2" = "No"
;
VALUE $q_2136F /* q_2_37F */
"1" = "S"
"2" = "No"
;
VALUE $q_2137F /* q_2_38 */
"1" = "Il sistema centralizzato per pi abitazioni"
"2" = "L'impianto autonomo solo per la Sua abitazione"
"3" = "Gli apparecchi singoli fissi"
"4" = "Gli apparecchi singoli portatili"
"5" = "I climatizzatori caldo/freddo fissi"
"6" = "I climatizzatori caldo/freddo portatili"
;
VALUE $q_2138F /* q_2_39 */
"1" = "S"
"2" = "No"
;
VALUE $q_2139F /* q_2_40A */
"1" = "S"
"2" = "No"
;
VALUE $q_2140F /* q_2_40B */
"1" = "S"
"2" = "No"
;
VALUE $q_2141F /* q_2_40C */
"1" = "S"
"2" = "No"
;
VALUE $q_2142F /* q_2_41A */
"1" = "S"
"2" = "No"
;
VALUE $q_2143F /* q_2_41B */
"1" = "S"
"2" = "No"
;
VALUE $q_2144F /* q_2_41C */
"1" = "S"
"2" = "No"
;
VALUE $q_2145F /* q_2_41D */
"1" = "S"
"2" = "No"
;
VALUE $q_2146F /* q_2_41E */
"1" = "S"
"2" = "No"
;
VALUE $q_2147F /* q_2_42 */
"1" = "Il sistema centralizzato per pi abitazioni"
"2" = "L'impianto autonomo solo per la Sua abitazione"
"3" = "Gli scaldabagni/apparecchi singoli"
;
VALUE $q_2148F /* q_2_45A */
"1" = "S"
"2" = "No"
;
VALUE $q_2149F /* q_2_45B */
"1" = "S"
"2" = "No"
;
VALUE $q_2150F /* q_2_45C */
"1" = "S"
"2" = "No"
;
VALUE $q_2151F /* q_2_45D */
"1" = "S"
"2" = "No"
;
VALUE $q_2152F /* q_2_45E */
"1" = "S"
"2" = "No"
;
VALUE $q_2153F /* q_2_45F */
"1" = "S"
"2" = "No"
;
VALUE $q_2154F /* q_2_45G */
"1" = "S"
"2" = "No"
;
VALUE $q_2155F /* q_2_46A */
"1" = "S"
"2" = "No"
;
VALUE $q_2156F /* q_2_46C */
"1" = "S"
"2" = "No"
;
VALUE $q_2157F /* q_2_46D */
"1" = "S"
"2" = "No"
;
VALUE $q_2158F /* q_2_46E */
"1" = "S"
"2" = "No"
;
VALUE $q_2159F /* q_2_47 */
"1" = "S"
"2" = "No"
;
VALUE $q_2160F /* q_2_48A */
"1" = "S"
"2" = "No"
;
VALUE $q_2161F /* q_2_48B */
"1" = "S"
"2" = "No"
;
VALUE $q_2162F /* q_2_48C */
"1" = "S"
"2" = "No"
;
VALUE $q_2163F /* q_2_48D */
"1" = "S"
"2" = "No"
;
VALUE $q_3164F /* q_3_0 */
"1" = "Centralizzato per pi abitazioni"
"2" = "Impianto autonomo"
"3" = "Apparecchi singoli fissi"
"4" = "Apparecchi singoli portatili"
;
VALUE $q_3165F /* q_3_1 */
"1" = "Tramite metano/gas di rete"
"2" = "Gasolio"
"3" = "GPL ( per gli apparecchi singoli portatili comprende anche il cherosene)"
"4" = "Energia elettrica"
"5" = "Olio combustibile"
"6" = "Legna da ardere, pellets o altre biomasse"
"7" = "Carbone"
"9" = "Non sa"
;
VALUE $q_3166F /* q_3_2 */
"1" = "S"
"2" = "No"
"9" = "Non sa"
;
VALUE $q_3167F /* q_3_3 */
"1" = "Ad aria"
"2" = "Ad acqua da falda"
"3" = "Ad acqua superficiale"
"4" = "Oppure a terreno"
"9" = "Non sa"
;
VALUE $q_3168F /* q_3_4_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_3169F /* q_3_4_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_3170F /* q_3_4_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_3171F /* q_3_5 */
"1" = "Climatizzatore/i caldo/freddo (a pompa di calore)"
"2" = "Apparecchio/i elettrico/i fisso/i"
"3" = "Stufa/e a legna o altre biomasse"
"4" = "Caminetto/i tradizionali a legna o altre biomasse"
"5" = "Stufa/e a metano"
"6" = "Stufa/e a GPL"
;
VALUE $q_3172F /* q_3_6 */
"1" = "Climatizzatore/i caldo/freddo"
"2" = "Apparecchio/i elettrico/i"
"3" = "Stufa/e a GPL o cherosene"
;
VALUE $q_3173F /* q_3_9 */
"1" = "Programmata"
"2" = "Occasionale"
"3" = "Oppure nessuna manutenzione"
"9" = "Non sa"
;
VALUE $q_3174F /* q_3_10 */
"1" = "Tutti i giorni o quasi"
"2" = "Qualche giorno a settimana"
"3" = "Circa una volta a settimana"
"4" = "Meno di 4 volte al mese"
"5" = "Solo occasionalmente, quando serve"
;
VALUE $q_3178F /* q_3_12 */
"1" = "S"
"2" = "No"
;
VALUE $q_3179F /* q_3_13_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_3180F /* q_3_13_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_3181F /* q_3_13_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_3182F /* q_3_14 */
"1" = "S"
"2" = "No"
;
VALUE $q_3183F /* q_3_15 */
"1" = "Tutti i giorni o quasi"
"2" = "Qualche giorno a settimana"
"3" = "Circa una volta a settimana"
"4" = "Meno di 4 volte al mese"
"5" = "Solo occasionalmente, quando serve"
;
VALUE $q_3185F /* q_3_17 */
"1" = "Ben isolata"
"2" = "Abbastanza isolata"
"3" = "Poco isolata"
"4" = "Spifferi d'aria"
;
VALUE $q_3186F /* q_3_18 */
"1" = "S"
"2" = "No"
;
VALUE $q_3187F /* q_3_19_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_3188F /* q_3_19_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_3189F /* q_3_19_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_3190F /* q_3_19_4 */
"0" = "No"
"1" = "S"
;
VALUE $q_3191F /* q_3_19_5 */
"0" = "No"
"1" = "S"
;
VALUE $q_3192F /* q_3_19_6 */
"0" = "No"
"1" = "S"
;
VALUE $q_3193F /* q_3_19_7 */
"0" = "No"
"1" = "S"
;
VALUE $q_3194F /* q_3_19_8 */
"0" = "No"
"1" = "S"
;
VALUE $q_3195F /* q_3_19_9 */
"0" = "No"
"1" = "S"
;
VALUE $q_3196F /* q_3_20 */
"1" = "L'ha pensato e ha in programma di farli appena possibile"
"2" = "L'ha pensato ma non li ha fatti perch troppo costosi"
"3" = "L'ha pensato ma non li ha fatti per altri motivi"
"4" = "Non pensa che siano necessari"
"5" = "Non ci ha mai pensato/non sa"
;
VALUE $q_3197F /* q_3_21 */
"1" = "Sostituzione caldaia"
"2" = "Sostituzione apparecchi singoli"
"3" = "Passaggio da apparecchi singoli ad autonomi"
"4" = "Installazione di impianti ad energia rinnovabile"
"5" = "Rifacimento o modifiche del sistema di distribuzione"
"6" = "Applicazione di termostati,valvole o contabilizzatori"
"7" = "Isolamento termico"
"8" = "Sostituzione di porte,finestre,infissi"
"9" = "Altro"
;
VALUE $q_4198F /* q_4_0 */
"1" = "Il sistema centralizzato per pi abitazioni"
"2" = "L'impianto autonomo solo per la Sua abitazione"
"3" = "Gli scaldabagni/apparecchi singoli"
;
VALUE $q_4199F /* q_4_1 */
"1" = "S"
"2" = "No"
;
VALUE $q_4200F /* q_4_2 */
"1" = "Tramite metano/gas naturale (di rete)"
"2" = "Gasolio"
"3" = "GPL"
"4" = "Energia elettrica"
"5" = "Olio combustibile"
"6" = "Legna da ardere, pellets o altre biomasse"
"7" = "Carbone"
"8" = "Energia solare"
"9" = "Non sa"
;
VALUE $q_4201F /* q_4_3 */
"1" = "S"
"2" = "No"
"9" = "Non sa"
;
VALUE $q_4202F /* q_4_4 */
"1" = "Ad aria"
"2" = "Ad acqua da falda"
"3" = "Ad acqua superficiale"
"4" = "Oppure a terreno"
"9" = "Non sa"
;
VALUE $q_4203F /* q_4_5 */
"1" = "Scaldabagni/scaldacqua elettrici"
"2" = "Scaldabagni/scaldacqua a metano/gas di rete"
"3" = "Scaldabagni/scaldacqua a gasolio"
"4" = "Scaldabagni/scaldacqua a GPL"
"5" = "Scaldabagni/scaldacqua ad altri combustibili"
;
VALUE $q_4204F /* q_4_6 */
"1" = "Fornisce istantaneamente l'acqua calda (impianto istantaneo)"
"2" = "Ha un serbatoio in cui l'acqua viene accumulata e riscaldata (impianto ad accumulo)"
;
VALUE $q_4205F /* q_4_7 */
"1" = "Piccolo, con capacit fino a 50 litri"
"2" = "Medio, con capacit da 50 a meno di 80 litri"
"3" = "Grande, da 80 litri e oltre"
;
VALUE $q_4206F /* q_4_8 */
"1" = "Fornisce esclusivamente l'acqua calda"
"2" = "Riscalda anche la casa"
;
VALUE $q_4207F /* q_4_9 */
"1" = "Meno di 2 metri quadrati"
"2" = "Da 2 metri quadrati a meno di 4"
"3" = "Da 4 metri quadrati a meno di 6"
"4" = "6 metri quadrati ed oltre"
"9" = "Non sa"
;
VALUE $q_4208F /* q_4_10 */
"1" = "Meno di 50 litri"
"2" = "Da 50 litri a meno di 100"
"3" = "Da 100 litri a meno di 200"
"4" = "200 litri ed oltre"
"9" = "Non sa"
;
VALUE $q_4209F /* q_4_11 */
"1" = "S, molto"
"2" = "S, abbastanza"
"3" = "S, poco"
"4" = "No, per niente"
;
VALUE $q_4210F /* q_4_12 */
"1" = "S, molto"
"2" = "S, abbastanza"
"3" = "S, poco"
"4" = "No, per niente"
;
VALUE $q_4211F /* q_4_15 */
"1" = "Programmata"
"2" = "Occasionale"
"3" = "Oppure nessuna manutenzione"
"9" = "Non sa"
;
VALUE $q_4212F /* q_4_16 */
"1" = "S"
"2" = "No"
;
VALUE $q_4213F /* q_4_17 */
"1" = "Tutti i giorni o quasi"
"2" = "Qualche giorno a settimana"
"3" = "Circa una volta a settimana"
"4" = "Meno di 4 volte al mese"
"5" = "Solo occasionalmente, quando serve"
;
VALUE $q_4214F /* q_4_18 */
"1" = "S"
"2" = "No"
;
VALUE $q_4215F /* q_4_19_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_4216F /* q_4_19_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_4217F /* q_4_19_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_4218F /* q_4_19_4 */
"0" = "No"
"1" = "S"
;
VALUE $q_4219F /* q_4_19_5 */
"0" = "No"
"1" = "S"
;
VALUE $q_4220F /* q_4_19_6 */
"0" = "No"
"1" = "S"
;
VALUE $q_4221F /* q_4_19_7 */
"0" = "No"
"1" = "S"
;
VALUE $q_4222F /* q_4_20 */
"1" = "L'ha pensato e ha in programma di farli appena possibile"
"2" = "L'ha pensato ma non li ha fatti perch troppo costosi"
"3" = "L'ha pensato ma non li ha fatti per altri motivi"
"4" = "Non pensa che siano necessari"
"5" = "Non ci ha mai pensato/non sa"
;
VALUE $q_4223F /* q_4_21 */
"1" = "Passaggio da impianto centralizzato ad autonomo"
"2" = "Passaggio da apparecchi singoli ad autonomi"
"3" = "Sostituzione della caldaia"
"4" = "Sostituzione di scaldabgni/scaldacqua"
"5" = "Installazione di impianti ad energia rinnovabile"
"6" = "Rifacimento o modifiche sistema distribuzione"
"7" = "Altro"
;
VALUE $q_5224F /* q_5_0 */
"1" = "Il sistema centralizzato per pi abitazioni"
"2" = "L'impianto autonomo solo per la Sua abitazione"
"3" = "Gli apparecchi singoli fissi"
"4" = "Gli apparecchi singoli portatili"
"5" = "I climatizzatori caldo/freddo fissi"
"6" = "I climatizzatori caldo/freddo portatili"
;
VALUE $q_5225F /* q_5_1 */
"1" = "S"
"2" = "No"
;
VALUE $q_5226F /* q_5_2 */
"1" = "S"
"2" = "No"
"9" = "Non sa"
;
VALUE $q_5227F /* q_5_3 */
"1" = "Ad aria"
"2" = "Ad acqua da falda"
"3" = "Ad acqua superficiale"
"4" = "Oppure a terreno"
"9" = "Non sa"
;
VALUE $q_5228F /* q_5_6 */
"1" = "Programmata"
"2" = "Occasionale"
"3" = "Oppure nessuna manutenzione"
"9" = "Non sa"
;
VALUE $q_5229F /* q_5_7 */
"1" = "Tutti i giorni o quasi"
"2" = "Qualche giorno a settimana"
"3" = "Circa una volta a settimana"
"4" = "Meno di 4 volte al mese"
"5" = "Solo occasionalmente, quando serve"
;
VALUE $q_5233F /* q_5_9 */
"1" = "Tutte le stanze"
"2" = "Solo alcune stanze"
;
VALUE $q_5235F /* q_5_11 */
"1" = "S"
"2" = "No"
;
VALUE $q_5236F /* q_5_12 */
"1" = "Tutti i giorni o quasi"
"2" = "Qualche giorno a settimana"
"3" = "Circa una volta a settimana"
"4" = "Meno di 4 volte al mese"
"5" = "Solo occasionalmente, quando serve"
;
VALUE $q_5238F /* q_5_14 */
"1" = "S"
"2" = "No"
;
VALUE $q_5239F /* q_5_15_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_5240F /* q_5_15_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_5241F /* q_5_15_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_5242F /* q_5_15_4 */
"0" = "No"
"1" = "S"
;
VALUE $q_5243F /* q_5_15_5 */
"0" = "No"
"1" = "S"
;
VALUE $q_5244F /* q_5_15_6 */
"0" = "No"
"1" = "S"
;
VALUE $q_5245F /* q_5_16 */
"1" = "L'ha pensato e ha in programma di farli appena possibile"
"2" = "L'ha pensato ma non li ha fatti perch troppo costosi"
"3" = "L'ha pensato ma non li ha fatti per altri motivi"
"4" = "Non pensa che siano necessari"
"5" = "Non ci ha mai pensato/non sa"
;
VALUE $q_5246F /* q_5_17 */
"1" = "L'ha pensato e ha in programma di farli appena possibile"
"2" = "L'ha pensato ma non li ha fatti perch troppo costosi"
"3" = "L'ha pensato ma non li ha fatti per altri motivi"
"4" = "Non pensa che siano necessari"
"5" = "Oppure non ci ha mai pensato/non sa"
"8" = "Altro"
;
VALUE $q_6247F /* q_6_1 */
"1" = "S"
"2" = "No"
;
VALUE $q_6248F /* q_6_2A */
"1" = "S"
"2" = "No"
;
VALUE $q_6249F /* q_6_2B */
"1" = "S"
"2" = "No"
;
VALUE $q_6250F /* q_6_2C */
"1" = "S"
"2" = "No"
;
VALUE $q_6251F /* q_6_2D */
"1" = "S"
"2" = "No"
;
VALUE $q_6252F /* q_6_2E */
"1" = "S"
"2" = "No"
;
VALUE $q_6253F /* q_6_2F */
"1" = "S"
"2" = "No"
;
VALUE $q_6254F /* q_6_2G */
"1" = "S"
"2" = "No"
;
VALUE $q_6255F /* q_6_3 */
"1" = "S"
"2" = "No"
;
VALUE $q_6256F /* q_6_4 */
"1" = "Quercia"
"2" = "Faggio"
"3" = "Frassino, betulla, castagno, pioppo"
"4" = "Carpino, acacia, platano, eucalipto"
"5" = "Abete, larice, cipresso"
"6" = "Ulivo o alberi da frutto"
"7" = "Altro"
"9" = "Non sa"
;
VALUE $q_6257F /* q_6_7 */
"1" = "Tutta acquistata"
"2" = "In parte autoprodotta/recuperata e in parte acquistata"
"3" = "Tutta autoprodotta"
;
VALUE $q_6258F /* q_6_8 */
"1" = "Meno di un quarto (25%)"
"2" = "Da circa un quarto a meno della met (50%)"
"3" = "Da circa met a meno di tre quarti (75%)"
"4" = "Da circa tre quarti a tutta"
;
VALUE $q_6259F /* q_6_10A */
"1" = "S"
"2" = "No"
;
VALUE $q_6260F /* q_6_10B */
"1" = "S"
"2" = "No"
;
VALUE $q_6261F /* q_6_10C */
"1" = "S"
"2" = "No"
;
VALUE $q_6262F /* q_6_10D */
"1" = "S"
"2" = "No"
;
VALUE $q_6263F /* q_6_10E */
"1" = "S"
"2" = "No"
;
VALUE $q_6264F /* q_6_10F */
"1" = "S"
"2" = "No"
;
VALUE $q_6265F /* q_6_10G */
"1" = "S"
"2" = "No"
;
VALUE $q_6266F /* q_6_11 */
"1" = "In casa"
"2" = "In cantina"
"3" = "In un ripostiglio all'aperto con tettoia"
"4" = "In un magazzino o in una baracca al chiuso"
;
VALUE $q_6267F /* q_6_12 */
"1" = "S"
"2" = "No"
;
VALUE $q_6268F /* q_6_16A */
"1" = "S"
"2" = "No"
;
VALUE $q_6269F /* q_6_16B */
"1" = "S"
"2" = "No"
;
VALUE $q_6270F /* q_6_16C */
"1" = "S"
"2" = "No"
;
VALUE $q_6271F /* q_6_16D */
"1" = "S"
"2" = "No"
;
VALUE $q_6272F /* q_6_16E */
"1" = "S"
"2" = "No"
;
VALUE $q_6273F /* q_6_16F */
"1" = "S"
"2" = "No"
;
VALUE $q_6274F /* q_6_16G */
"1" = "S"
"2" = "No"
;
VALUE $q_6275F /* q_6_17 */
"1" = "In casa"
"2" = "In cantina"
"3" = "In un ripostiglio all'aperto con tettoia"
"4" = "In un magazzino o in una baracca al chiuso"
;
VALUE $q_6277F /* q_6_42 */
"1" = "Molto soddisfatto"
"2" = "Abbastanza soddisfatto"
"3" = "Poco soddisfatto"
"4" = "Per niente soddisfatto"
;
VALUE $q_6278F /* q_6_43 */
"1" = "Molto soddisfatto"
"2" = "Abbastanza soddisfatto"
"3" = "Poco soddisfatto"
"4" = "Per niente soddisfatto"
;
VALUE $q_6279F /* q_6_44 */
"1" = "Molto soddisfatto"
"2" = "Abbastanza soddisfatto"
"3" = "Poco soddisfatto"
"4" = "Per niente soddisfatto"
;
VALUE $q_6280F /* q_6_45 */
"1" = "S, molto"
"2" = "S, abbastanza"
"3" = "S, poco"
"4" = "No, per niente"
;
VALUE $q_7289F /* q_7_5 */
"1" = "S"
"2" = "No"
;
VALUE $q_7290F /* q_7_6_1 */
"0" = "No"
"1" = "S"
;
VALUE $q_7291F /* q_7_6_2 */
"0" = "No"
"1" = "S"
;
VALUE $q_7292F /* q_7_6_3 */
"0" = "No"
"1" = "S"
;
VALUE $q_7293F /* q_7_6_4 */
"0" = "No"
"1" = "S"
;
VALUE $q_7294F /* q_7_6_5 */
"0" = "No"
"1" = "S"
;
VALUE $q_7295F /* q_7_7 */
"1" = "L'ha pensato e ha in programma di farli appena possibile"
"2" = "L'ha pensato ma non li ha fatti perch troppo costosi"
"3" = "L'ha pensato ma non li ha fatti per altri motivi"
"4" = "Non pensa che siano necessari"
"5" = "Non ci ha mai pensato/non sa"
;
VALUE $q_7296F /* q_7_8 */
"1" = "Sostituzione delle lampadine tradizionali con quelle a risparmio energetico"
"2" = "Installazione di regolatori d'intensit o di interruttori crepuscolari"
"3" = "Sostituzione di uno o pi elettrodomestici con apparecchi pi efficienti"
"4" = "Installazione di impianti ad energia rinnovabile per la produzione di energia elettrica"
"5" = "Altro"
;
VALUE $q_8297F /* q_8_1 */
"1" = "S"
"2" = "No"
;
VALUE $q_8299F /* q_8_5 */
"1" = "Piccolo, alto un metro circa"
"2" = "medio, alto circa un metro e cinquanta"
"3" = "grande, alto circa un metro e ottanta"
"4" = "molto grande, alto circa due metri con due  porte affiancate"
;
VALUE $q_8300F /* q_8_6 */
"1" = "S"
"2" = "No"
;
VALUE $q_8301F /* q_8_7 */
"1" = "S"
"2" = "No"
;
VALUE $q_8302F /* q_8_10 */
"1" = "S"
"2" = "No"
;
VALUE $q_8303F /* q_8_13 */
"1" = "piccola, con capacit di carico minore di 4 chili"
"2" = "media, con carico tra 4 e 6 chili"
"3" = "grande, con carico superiore ai 6 chili"
;
VALUE $q_8311F /* q_8_17 */
"1" = "S"
"2" = "No"
;
VALUE $q_8312F /* q_8_18 */
"1" = "S"
"2" = "No"
;
VALUE $q_8313F /* q_8_21 */
"1" = "piccola, con capacit di carico minore di 4 chili"
"2" = "media, con carico tra 4 e 6 chili"
"3" = "grande, con carico superiore ai 6 chili"
;
VALUE $q_8315F /* q_8_23 */
"1" = "S"
"2" = "No"
;
VALUE $q_8320F /* q_8_28A */
"1" = "S"
"2" = "No"
;
VALUE $q_8321F /* q_8_28B */
"1" = "S"
"2" = "No"
;
VALUE $q_8322F /* q_8_28C */
"1" = "S"
"2" = "No"
;
VALUE $q_8323F /* q_8_28D */
"1" = "S"
"2" = "No"
;
VALUE $q_8324F /* q_8_29 */
"1" = "S"
"2" = "No"
;
VALUE $q_8325F /* q_8_30 */
"1" = "A metano/gas naturale"
"2" = "A energia elettrica"
"3" = "A GPL in bombola"
"4" = "A legna o altre biomasse"
;
VALUE $q_8326F /* q_8_31 */
"1" = "Due o pi volte al giorno"
"2" = "Una volta al giorno"
"3" = "Due o pi volte a settimana"
"4" = "Una volta a settimana"
"5" = "Meno di una volta a settimana"
;
VALUE $q_8327F /* q_8_32 */
"1" = "S"
"2" = "No"
;
VALUE $q_8328F /* q_8_33 */
"1" = "A metano/gas naturale"
"2" = "A energia elettrica"
"3" = "A GPL in bombola"
"4" = "A legna o altre biomasse"
;
VALUE $q_8329F /* q_8_34 */
"1" = "Due o pi volte al giorno"
"2" = "Una volta al giorno"
"3" = "Due o pi volte a settimana"
"4" = "Una volta a settimana"
"5" = "Meno di una volta a settimana"
;
VALUE $q_8330F /* q_8_37 */
"1" = "piccolo, di larghezza inferiore a 60 cm (capacit inferiore a 52 litri)"
"2" = "medio, di larghezza pari a 60 cm (capacit compresa tra da 52 litri a 54 litri)"
"3" = "grande, di larghezza superiore o uguale a 90 cm (capacit pari o superiore a 55 litri)"
;
VALUE $q_8331F /* q_8_38A */
"1" = "S"
"2" = "No"
;
VALUE $q_8332F /* q_8_38B */
"1" = "S"
"2" = "No"
;
VALUE $q_8333F /* q_8_38C */
"1" = "S"
"2" = "No"
;
VALUE $q_8334F /* q_8_38D */
"1" = "S"
"2" = "No"
;
VALUE $q_8335F /* q_8_38E */
"1" = "S"
"2" = "No"
;
VALUE $q_8336F /* q_8_38F */
"1" = "S"
"2" = "No"
;
VALUE $q_8337F /* q_8_38G */
"1" = "S"
"2" = "No"
;
VALUE $q_8338F /* q_8_38H */
"1" = "S"
"2" = "No"
;
VALUE $q_8339F /* q_8_38I */
"1" = "S"
"2" = "No"
;
VALUE $q_8340F /* q_8_38L */
"1" = "S"
"2" = "No"
;
VALUE $q_8341F /* q_8_38M */
"1" = "S"
"2" = "No"
;
VALUE $q_8342F /* q_8_39 */
"1" = "S"
"2" = "No"
;
VALUE $q_8348F /* q_8_42 */
"1" = "Meno di due ore"
"2" = "Da 2 a meno di 4 ore"
"3" = "Da 4 a meno di 6 ore"
"4" = "Da 6 a meno di 12 ore"
"5" = "12 ore o pi"
;
VALUE $q_8349F /* q_8_43 */
"1" = "S"
"2" = "No"
;
VALUE q_8353F /* q_8_46 */
1= "Meno di due ore"
2= "Da 2 a meno di 4 ore"
3= "Da 4 a meno di 6 ore"
4= "Da 6 a meno di 12 ore"
5= "12 ore o pi"
;
VALUE $q_8354F /* q_8_47 */
"1" = "Acceso"
"2" = "In standby"
"3" = "Spento"
;
VALUE $q_8355F /* q_8_49 */
"1" = "S"
"2" = "No"
;
VALUE $q_8356F /* q_8_50 */
"1" = "S"
"2" = "No"
;
VALUE $fa_357F /* fa_risc */
"1" = "Tramite metano/gas di rete"
"2" = "Gasolio"
"3" = "GPL ( per gli apparecchi singoli portatili comprende anche il cherosene)"
"4" = "Energia elettrica"
"5" = "Olio combustibile"
"6" = "Legna da ardere, pellets o altre biomasse"
"7" = "Carbone"
"9" = "Non sa"
;
VALUE $fa_358F /* fa_acqua */
"1" = "Tramite metano/gas naturale (di rete)"
"2" = "Gasolio"
"3" = "GPL"
"4" = "Energia elettrica"
"5" = "Olio combustibile"
"6" = "Legna da ardere, pellets o altre biomasse"
"7" = "Carbone"
"8" = "Energia solare"
"9" = "Non sa"
;
VALUE $reg361F /* reg_new */
"10" = "Piemonte"
"20" = "Valle d'Aosta"
"30" = "Lombardia"
"41" = "Bolzano"
"42" = "Trento"
"50" = "Veneto"
"60" = "Friuli Venezia Giulia"
"70" = "Liguria"
"80" = "Emilia Romagna"
"90" = "Toscana"
"100" = "Umbria"
"110" = "Marche"
"120" = "Lazio"
"130" = "Abruzzo"
"140" = "Molise"
"150" = "Campania"
"160" = "Puglia"
"170" = "Basilicata"
"180" = "Calabria"
"190" = "Sicilia"
"200" = "Sardegna"
;
VALUE $q_2362F /* q_2_4_ric */
"1" = "Dal 2000 ad oggi"
"2" = "Dal 1990 al 1999"
"3" = "Negli anni ottanta (1980-1989)"
"4" = "Anni settanta (1970-1979)"
"5" = "Anni sessanta (1960-1969)"
"6" = "Anni cinquanta (1950-1959)"
"7" = "Dal 1900 al 1949"
"8" = "Prima del 1900"
"9" = "Non sa"
;
VALUE $q_2363F /* q_2_7_class */
"1" = "Da 10 a 19 mq"
"2" = "Da 20 a 39 mq"
"3" = "Da 40 a 59 mq"
"4" = "Da 60 a 89 mq"
"5" = "Da 90 a 119 mq"
"6" = "Da 120 a 149 mq"
"7" = "Pi di 150 mq"
;
VALUE $q_2364F /* q_2_11_class */
"1" = "1"
"2" = "2"
"3" = "3"
"4" = "4"
"5" = "5"
"6" = "6"
"7" = "7"
"8" = "8"
"9" = "9"
"10" = "10"
"98" = "11 e pi"
;
VALUE $q_2365F /* q_2_15_class */
"1" = "1"
"2" = "2"
"3" = "3"
"4" = "4"
"5" = "5"
"6" = "6"
"7" = "7"
"8" = "8"
"9" = "9"
"10" = "10"
"98" = "11 e pi"
;
VALUE $q_2366F /* q_2_19_class */
"1" = "1"
"2" = "2"
"3" = "3"
"4" = "4"
"5" = "5"
"6" = "6"
"7" = "7"
"8" = "8"
"9" = "9"
"10" = "10"
"98" = "11 e pi"
;
VALUE $q_3367F /* q_3_7_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_4368F /* q_4_13_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_5369F /* q_5_4_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_6370F /* q_6_5_ric */
"1" = "Minore di 250 kg"
"2" = "Da 250 kg a meno di 500"
"3" = "Da 500 Kg a meno di 1.000"
"4" = "Da 1.000 Kg a meno di 1.500"
"5" = "Da 1.500 Kg a meno di 2.000"
"6" = "Da 2.000 Kg a meno di 3.000"
"7" = "Da 3.000 Kg a meno di 4.000"
"8" = "Da 4.000 Kg a meno di 5.000"
"9" = "Superiore a 5.000 Kg"
;
VALUE $q_6371F /* q_6_9_ric */
"1" = "Meno di 200 "
"2" = "Da 200  a meno di 300 "
"3" = "Da 300  a meno di 400 "
"4" = "Da 400  a meno di 500 "
"5" = "Da 500  a meno di 600 "
"6" = "Da 600  a meno di 700 "
"7" = "700   o pi"
;
VALUE $q_6372F /* q_6_13_ric */
"1" = "Minore di 250 kg"
"2" = "Da 250 kg a meno di 500"
"3" = "Da 500 Kg a meno di 1.000"
"4" = "Da 1.000 Kg a meno di 1.500"
"5" = "Da 1.500 Kg a meno di 2.000"
"6" = "Da 2.000 Kg a meno di 3.000"
"7" = "Superiore a 3.000 Kg"
;
VALUE $q_6373F /* q_6_15_ric */
"1" = "Meno di 200 "
"2" = "Da 200  a meno di 300 "
"3" = "Da 300  a meno di 400 "
"4" = "Da 400  a meno di 500 "
"5" = "Da 500  a meno di 600 "
"6" = "Da 600  a meno di 700 "
"7" = "700   o pi"
;
VALUE $q_8374F /* q_8_3_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_8375F /* q_8_8_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_8376F /* q_8_11_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_8377F /* q_8_19_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_8378F /* q_8_24_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_8379F /* q_8_35_ric */
"1" = "Meno di 1 anno"
"2" = "Da 1 anno a meno di 2"
"3" = "Da 2 anni a meno di 3"
"4" = "Da 3 anni a meno di 6"
"5" = "Da 6 anni a meno di 10"
"6" = "Da 10 anni a meno di 20"
"7" = "20 anni o pi"
"9" = "Non sa"
;
VALUE $q_9380F /* q_9_1_ric */
"1" = "Meno di 300 "
"2" = "Da 300  a meno di 400 "
"3" = "Da 400  a meno di 500 "
"4" = "Da 500  a meno di 600 "
"5" = "Da 600  a meno di 700 "
"6" = "Da 700  a meno di 800 "
"7" = "Da 800  a meno di 900 "
"8" = "Da 900  a meno di 1000 "
"9" = "1000   o pi"
;
VALUE $q_9381F /* q_9_4_ric */
"1" = "Meno di 300 "
"2" = "Da 300  a meno di 400 "
"3" = "Da 400  a meno di 500 "
"4" = "Da 500  a meno di 600 "
"5" = "Da 600  a meno di 700 "
"6" = "Da 700  a meno di 800 "
"7" = "Da 800  a meno di 900 "
"8" = "Da 900  a meno di 1000 "
"9" = "Da 1000  a meno di 1200 "
"10" = "Da 1200  a meno di 1400 "
"11" = "Da 1400  a meno di 1600 "
"12" = "1000   o pi"
;
VALUE $q_9382F /* q_9_5_ric */
"1" = "Meno di 600 "
"2" = "Da 600  a meno di 800 "
"3" = "Da 800  a meno di 1000 "
"4" = "Da 1000  a meno di 1200 "
"5" = "Da 1200  a meno di 1400 "
"6" = "Da 1400  a meno di 1600 "
"7" = "Da 1600  a meno di 1800 "
"8" = "Da 1800  a meno di 2000 "
"9" = "Da 2000  a meno di 2200 "
"10" = "2200   o pi"
;
VALUE $q_9383F /* q_9_6_ric */
"1" = "Meno di 100 "
"2" = "Da 100  a meno di 200 "
"3" = "Da 200  a meno di 300 "
"4" = "Da 300  a meno di 400 "
"5" = "Da 400  a meno di 600 "
"6" = "Da 600  a meno di 800 "
"7" = "800   o pi"
;
VALUE $dom386F /* dom */
"1" = "Comune centro dell'area metropolitana;Comuni della periferia dell'area metropolitana"
"3" = "Comuni con piu'di 50.000 abitanti;"
"4" = "Comuni di montagna (montagna interna + montagna esterna + collina interna) con n. abitanti fino a 10.000; Comuni di montagna (montagna interna + montagna esterna + collina interna) con n. abitanti tra"
"6" = "Comuni NON di montagna (collina litoranea + pianura) con n. abitanti fino a 10.000; Comuni NON di montagna (collina litoranea + pianura) con n. abitanti tra 10mila e 50mila"
;
format q_1_14_sq_1 $q_11F.;
format q_1_14_sq_2 $q_12F.;
format q_1_14_sq_3 $q_13F.;
format q_1_14_sq_4 $q_14F.;
format q_1_14_sq_5 $q_15F.;
format q_1_14_sq_6 $q_16F.;
format q_1_14_sq_7 $q_17F.;
format q_1_14_sq_8 $q_18F.;
format q_1_14_sq_9 $q_19F.;
format q_1_14_sq_10 $q_110F.;
format q_1_14_sq_11 $q_111F.;
format q_1_14_sq_12 $q_112F.;
format cletas_1 $cle13F.;
format cletas_2 $cle14F.;
format cletas_3 $cle15F.;
format cletas_4 $cle16F.;
format cletas_5 $cle17F.;
format cletas_6 $cle18F.;
format cletas_7 $cle19F.;
format cletas_8 $cle20F.;
format cletas_9 $cle21F.;
format cletas_10 $cle22F.;
format cletas_11 $cle23F.;
format cletas_12 $cle24F.;
format relpar_1 $rel25F.;
format relpar_2 $rel26F.;
format relpar_3 $rel27F.;
format relpar_4 $rel28F.;
format relpar_5 $rel29F.;
format relpar_6 $rel30F.;
format relpar_7 $rel31F.;
format relpar_8 $rel32F.;
format relpar_9 $rel33F.;
format relpar_10 $rel34F.;
format relpar_11 $rel35F.;
format relpar_12 $rel36F.;
format condpro_1 $con37F.;
format condpro_2 $con38F.;
format condpro_3 $con39F.;
format condpro_4 $con40F.;
format condpro_5 $con41F.;
format condpro_6 $con42F.;
format condpro_7 $con43F.;
format condpro_8 $con44F.;
format condpro_9 $con45F.;
format condpro_10 $con46F.;
format condpro_11 $con47F.;
format condpro_12 $con48F.;
format tipolav_1 $tip49F.;
format tipolav_2 $tip50F.;
format tipolav_3 $tip51F.;
format tipolav_4 $tip52F.;
format tipolav_5 $tip53F.;
format tipolav_6 $tip54F.;
format tipolav_7 $tip55F.;
format tipolav_8 $tip56F.;
format tipolav_9 $tip57F.;
format tipolav_10 $tip58F.;
format tipolav_11 $tip59F.;
format tipolav_12 $tip60F.;
format livello_1 $liv61F.;
format livello_2 $liv62F.;
format livello_3 $liv63F.;
format livello_4 $liv64F.;
format livello_5 $liv65F.;
format livello_6 $liv66F.;
format livello_7 $liv67F.;
format livello_8 $liv68F.;
format livello_9 $liv69F.;
format livello_10 $liv70F.;
format livello_11 $liv71F.;
format livello_12 $liv72F.;
format titstu_1 $tit73F.;
format titstu_2 $tit74F.;
format titstu_3 $tit75F.;
format titstu_4 $tit76F.;
format titstu_5 $tit77F.;
format titstu_6 $tit78F.;
format titstu_7 $tit79F.;
format titstu_8 $tit80F.;
format titstu_9 $tit81F.;
format titstu_10 $tit82F.;
format titstu_11 $tit83F.;
format titstu_12 $tit84F.;
format rip $rip87F.;
format reg $reg88F.;
format q_1_20_sq1 $q_190F.;
format q_2_1 $q_291F.;
format q_2_2 $q_292F.;
format q_2_9A $q_295F.;
format q_2_9B $q_296F.;
format q_2_9C $q_297F.;
format q_2_9D $q_298F.;
format q_2_9E $q_299F.;
format q_2_10 $q_2100F.;
format q_2_14 $q_2101F.;
format q_2_18 $q_2102F.;
format q_2_22 $q_2103F.;
format q_2_25 $q_2104F.;
format q_2_26 $q_2105F.;
format q_2_27_1 $q_2106F.;
format q_2_27_2 $q_2107F.;
format q_2_27_3 $q_2108F.;
format q_2_27_9 $q_2109F.;
format q_2_28 $q_2110F.;
format q_2_29_1 $q_2111F.;
format q_2_29_2 $q_2112F.;
format q_2_29_3 $q_2113F.;
format q_2_29_4 $q_2114F.;
format q_2_29_9 $q_2115F.;
format q_2_30 $q_2116F.;
format q_2_31A $q_2117F.;
format q_2_31B $q_2118F.;
format q_2_31C $q_2119F.;
format q_2_31D $q_2120F.;
format q_2_32A $q_2121F.;
format q_2_32B $q_2122F.;
format q_2_32C $q_2123F.;
format q_2_32D $q_2124F.;
format q_2_32E $q_2125F.;
format q_2_32F $q_2126F.;
format q_2_33A $q_2127F.;
format q_2_33B $q_2128F.;
format q_2_33C $q_2129F.;
format q_2_34 $q_2130F.;
format q_2_37A $q_2131F.;
format q_2_37B $q_2132F.;
format q_2_37C $q_2133F.;
format q_2_37D $q_2134F.;
format q_2_37E $q_2135F.;
format q_2_37F $q_2136F.;
format q_2_38 $q_2137F.;
format q_2_39 $q_2138F.;
format q_2_40A $q_2139F.;
format q_2_40B $q_2140F.;
format q_2_40C $q_2141F.;
format q_2_41A $q_2142F.;
format q_2_41B $q_2143F.;
format q_2_41C $q_2144F.;
format q_2_41D $q_2145F.;
format q_2_41E $q_2146F.;
format q_2_42 $q_2147F.;
format q_2_45A $q_2148F.;
format q_2_45B $q_2149F.;
format q_2_45C $q_2150F.;
format q_2_45D $q_2151F.;
format q_2_45E $q_2152F.;
format q_2_45F $q_2153F.;
format q_2_45G $q_2154F.;
format q_2_46A $q_2155F.;
format q_2_46C $q_2156F.;
format q_2_46D $q_2157F.;
format q_2_46E $q_2158F.;
format q_2_47 $q_2159F.;
format q_2_48A $q_2160F.;
format q_2_48B $q_2161F.;
format q_2_48C $q_2162F.;
format q_2_48D $q_2163F.;
format q_3_0 $q_3164F.;
format q_3_1 $q_3165F.;
format q_3_2 $q_3166F.;
format q_3_3 $q_3167F.;
format q_3_4_1 $q_3168F.;
format q_3_4_2 $q_3169F.;
format q_3_4_3 $q_3170F.;
format q_3_5 $q_3171F.;
format q_3_6 $q_3172F.;
format q_3_9 $q_3173F.;
format q_3_10 $q_3174F.;
format q_3_12 $q_3178F.;
format q_3_13_1 $q_3179F.;
format q_3_13_2 $q_3180F.;
format q_3_13_3 $q_3181F.;
format q_3_14 $q_3182F.;
format q_3_15 $q_3183F.;
format q_3_17 $q_3185F.;
format q_3_18 $q_3186F.;
format q_3_19_1 $q_3187F.;
format q_3_19_2 $q_3188F.;
format q_3_19_3 $q_3189F.;
format q_3_19_4 $q_3190F.;
format q_3_19_5 $q_3191F.;
format q_3_19_6 $q_3192F.;
format q_3_19_7 $q_3193F.;
format q_3_19_8 $q_3194F.;
format q_3_19_9 $q_3195F.;
format q_3_20 $q_3196F.;
format q_3_21 $q_3197F.;
format q_4_0 $q_4198F.;
format q_4_1 $q_4199F.;
format q_4_2 $q_4200F.;
format q_4_3 $q_4201F.;
format q_4_4 $q_4202F.;
format q_4_5 $q_4203F.;
format q_4_6 $q_4204F.;
format q_4_7 $q_4205F.;
format q_4_8 $q_4206F.;
format q_4_9 $q_4207F.;
format q_4_10 $q_4208F.;
format q_4_11 $q_4209F.;
format q_4_12 $q_4210F.;
format q_4_15 $q_4211F.;
format q_4_16 $q_4212F.;
format q_4_17 $q_4213F.;
format q_4_18 $q_4214F.;
format q_4_19_1 $q_4215F.;
format q_4_19_2 $q_4216F.;
format q_4_19_3 $q_4217F.;
format q_4_19_4 $q_4218F.;
format q_4_19_5 $q_4219F.;
format q_4_19_6 $q_4220F.;
format q_4_19_7 $q_4221F.;
format q_4_20 $q_4222F.;
format q_4_21 $q_4223F.;
format q_5_0 $q_5224F.;
format q_5_1 $q_5225F.;
format q_5_2 $q_5226F.;
format q_5_3 $q_5227F.;
format q_5_6 $q_5228F.;
format q_5_7 $q_5229F.;
format q_5_9 $q_5233F.;
format q_5_11 $q_5235F.;
format q_5_12 $q_5236F.;
format q_5_14 $q_5238F.;
format q_5_15_1 $q_5239F.;
format q_5_15_2 $q_5240F.;
format q_5_15_3 $q_5241F.;
format q_5_15_4 $q_5242F.;
format q_5_15_5 $q_5243F.;
format q_5_15_6 $q_5244F.;
format q_5_16 $q_5245F.;
format q_5_17 $q_5246F.;
format q_6_1 $q_6247F.;
format q_6_2A $q_6248F.;
format q_6_2B $q_6249F.;
format q_6_2C $q_6250F.;
format q_6_2D $q_6251F.;
format q_6_2E $q_6252F.;
format q_6_2F $q_6253F.;
format q_6_2G $q_6254F.;
format q_6_3 $q_6255F.;
format q_6_4 $q_6256F.;
format q_6_7 $q_6257F.;
format q_6_8 $q_6258F.;
format q_6_10A $q_6259F.;
format q_6_10B $q_6260F.;
format q_6_10C $q_6261F.;
format q_6_10D $q_6262F.;
format q_6_10E $q_6263F.;
format q_6_10F $q_6264F.;
format q_6_10G $q_6265F.;
format q_6_11 $q_6266F.;
format q_6_12 $q_6267F.;
format q_6_16A $q_6268F.;
format q_6_16B $q_6269F.;
format q_6_16C $q_6270F.;
format q_6_16D $q_6271F.;
format q_6_16E $q_6272F.;
format q_6_16F $q_6273F.;
format q_6_16G $q_6274F.;
format q_6_17 $q_6275F.;
format q_6_42 $q_6277F.;
format q_6_43 $q_6278F.;
format q_6_44 $q_6279F.;
format q_6_45 $q_6280F.;
format q_7_5 $q_7289F.;
format q_7_6_1 $q_7290F.;
format q_7_6_2 $q_7291F.;
format q_7_6_3 $q_7292F.;
format q_7_6_4 $q_7293F.;
format q_7_6_5 $q_7294F.;
format q_7_7 $q_7295F.;
format q_7_8 $q_7296F.;
format q_8_1 $q_8297F.;
format q_8_5 $q_8299F.;
format q_8_6 $q_8300F.;
format q_8_7 $q_8301F.;
format q_8_10 $q_8302F.;
format q_8_13 $q_8303F.;
format q_8_17 $q_8311F.;
format q_8_18 $q_8312F.;
format q_8_21 $q_8313F.;
format q_8_23 $q_8315F.;
format q_8_28A $q_8320F.;
format q_8_28B $q_8321F.;
format q_8_28C $q_8322F.;
format q_8_28D $q_8323F.;
format q_8_29 $q_8324F.;
format q_8_30 $q_8325F.;
format q_8_31 $q_8326F.;
format q_8_32 $q_8327F.;
format q_8_33 $q_8328F.;
format q_8_34 $q_8329F.;
format q_8_37 $q_8330F.;
format q_8_38A $q_8331F.;
format q_8_38B $q_8332F.;
format q_8_38C $q_8333F.;
format q_8_38D $q_8334F.;
format q_8_38E $q_8335F.;
format q_8_38F $q_8336F.;
format q_8_38G $q_8337F.;
format q_8_38H $q_8338F.;
format q_8_38I $q_8339F.;
format q_8_38L $q_8340F.;
format q_8_38M $q_8341F.;
format q_8_39 $q_8342F.;
format q_8_42 $q_8348F.;
format q_8_43 $q_8349F.;
format q_8_46 q_8353F.;
format q_8_47 $q_8354F.;
format q_8_49 $q_8355F.;
format q_8_50 $q_8356F.;
format fa_risc $fa_357F.;
format fa_acqua $fa_358F.;
format reg_new $reg361F.;
format q_2_4_ric $q_2362F.;
format q_2_7_class $q_2363F.;
format q_2_11_class $q_2364F.;
format q_2_15_class $q_2365F.;
format q_2_19_class $q_2366F.;
format q_3_7_ric $q_3367F.;
format q_4_13_ric $q_4368F.;
format q_5_4_ric $q_5369F.;
format q_6_5_ric $q_6370F.;
format q_6_9_ric $q_6371F.;
format q_6_13_ric $q_6372F.;
format q_6_15_ric $q_6373F.;
format q_8_3_ric $q_8374F.;
format q_8_8_ric $q_8375F.;
format q_8_11_ric $q_8376F.;
format q_8_19_ric $q_8377F.;
format q_8_24_ric $q_8378F.;
format q_8_35_ric $q_8379F.;
format q_9_1_ric $q_9380F.;
format q_9_4_ric $q_9381F.;
format q_9_5_ric $q_9382F.;
format q_9_6_ric $q_9383F.;
format dom $dom386F.;
RUN;
